Debian Bug report logs - #687442
Use DRM/KMS subsystem from Linux 3.4 in wheezy

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Carsten Grohmann <carstengrohmann@gmx.de>

Date: Wed, 12 Sep 2012 19:24:01 UTC

Severity: important

Tags: patch, pending

Found in version linux/3.2.23-1

Fixed in version linux/3.2.39-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Wed, 12 Sep 2012 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Sep 2012 19:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Wed, 12 Sep 2012 21:21:41 +0200
Package: src:linux
Version: 3.2.23-1
Severity: normal

Dear Maintainer,

please add support for Intel Ivy Bridge processors to the Debian
standard kernel.

The current Debian kernel 3.2.0 doesn't support the new Intel processors 
with built-in GPU.
The kernel 3.2.0 has booted the system successfully after the processor has been replaced by a new 
Intel Ivy Bridge i5-3570K. Unfortunately neither X nor audio were working. An update to kernel 3.5 
from experimental tree solved all issues.

Regards,
Carsten


-- Package-specific info:
** Model information
# cpuid 
 eax in    eax      ebx      ecx      edx
00000000 0000000d 756e6547 6c65746e 49656e69
00000001 000306a9 04100800 7f9ae3bf bfebfbff
00000002 76035a01 00f0b0ff 00000000 00ca0000
00000003 00000000 00000000 00000000 00000000
00000004 00000000 00000000 00000000 00000000
00000005 00000040 00000040 00000003 00001120
00000006 00000077 00000002 00000009 00000000
00000007 00000000 00000000 00000000 00000000
00000008 00000000 00000000 00000000 00000000
00000009 00000000 00000000 00000000 00000000
0000000a 07300803 00000000 00000000 00000603
0000000b 00000000 00000000 00000048 00000004
0000000c 00000000 00000000 00000000 00000000
0000000d 00000000 00000000 00000000 00000000
80000000 80000008 00000000 00000000 00000000
80000001 00000000 00000000 00000001 28100000
80000002 20202020 49202020 6c65746e 20295228
80000003 65726f43 294d5428 2d356920 30373533
80000004 5043204b 20402055 30342e33 007a4847
80000005 00000000 00000000 00000000 00000000
80000006 00000000 00000000 01006040 00000000
80000007 00000000 00000000 00000000 00000100
80000008 00003024 00000000 00000000 00000000

Vendor ID: "GenuineIntel"; CPUID level 13

Intel-specific functions:
Version 000306a9:
Type 0 - Original OEM
Family 6 - Pentium Pro
Model 10 - 
Stepping 9
Reserved 12

Extended brand string: "       Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz"
CLFLUSH instruction cache line size: 8
Initial APIC ID: 4
Hyper threading siblings: 16
[...]

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller 
[8086:0150] (rev 09)
	Subsystem: ASRock Incorporation Device [1849:0150]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR+ 
INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor 
Graphics Controller [8086:0162] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: ASRock Incorporation Device [1849:0162]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 53
	Region 0: Memory at f7400000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at f000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host 
Controller [8086:1e31] (rev 04) (prog-if 30 [XHCI])
	Subsystem: ASRock Incorporation Device [1849:1e31]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 51
	Region 0: Memory at f7c00000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd

00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced 
Host Controller #2 [8086:1e2d] (rev 04) (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Device [1849:1e2d]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7c18000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition 
Audio Controller [8086:1e20] (rev 04)
	Subsystem: ASRock Incorporation Device [1849:1898]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 54
	Region 0: Memory at f7c10000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root 
Port 1 [8086:1e10] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: dfb00000-dfcfffff
	Prefetchable memory behind bridge: 00000000dfd00000-00000000dfefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root 
Port 5 [8086:1e18] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: f7b00000-f7bfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.5 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root 
Port 6 [8086:1e1a] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Memory behind bridge: f7a00000-f7afffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f00fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.6 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root 
Port 7 [8086:1e1c] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Memory behind bridge: f7900000-f79fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.7 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root 
Port 8 [8086:1e1e] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=0a, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f7800000-f78fffff
	Prefetchable memory behind bridge: 00000000f0100000-00000000f02fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR+
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced 
Host Controller #1 [8086:1e26] (rev 04) (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Device [1849:1e26]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7c17000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1f.0 ISA bridge [0601]: Intel Corporation Z77 Express Chipset LPC Controller [8086:1e44] (rev 04)
	Subsystem: ASRock Incorporation Device [1849:1e44]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 7 Series/C210 Series Chipset Family 6-port SATA 
Controller [AHCI mode] [8086:1e02] (rev 04) (prog-if 01 [AHCI 1.0])
	Subsystem: ASRock Incorporation Device [1849:1e02]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 49
	Region 0: I/O ports at f0b0 [size=8]
	Region 1: I/O ports at f0a0 [size=4]
	Region 2: I/O ports at f090 [size=8]
	Region 3: I/O ports at f080 [size=4]
	Region 4: I/O ports at f060 [size=32]
	Region 5: Memory at f7c16000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller 
[8086:1e22] (rev 04)
	Subsystem: ASRock Incorporation Device [1849:1e22]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f7c15000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at f040 [size=32]

02:00.0 SATA controller [0106]: ASMedia Technology Inc. ASM1062 Serial ATA Controller [1b21:0612] 
(rev 01) (prog-if 01 [AHCI 1.0])
	Subsystem: ASRock Incorporation Device [1849:0612]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 50
	Region 0: I/O ports at e050 [size=8]
	Region 1: I/O ports at e040 [size=4]
	Region 2: I/O ports at e030 [size=8]
	Region 3: I/O ports at e020 [size=4]
	Region 4: I/O ports at e000 [size=32]
	Region 5: Memory at f7b00000 (32-bit, non-prefetchable) [size=512]
	Capabilities: <access denied>
	Kernel driver in use: ahci

03:00.0 Ethernet controller [0200]: Broadcom Corporation NetLink BCM57781 Gigabit Ethernet PCIe 
[14e4:16b1] (rev 10)
	Subsystem: ASRock Incorporation Device [1849:96b1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at f0010000 (64-bit, prefetchable) [size=64K]
	Region 2: Memory at f0000000 (64-bit, prefetchable) [size=64K]
	Expansion ROM at f7a00000 [disabled] [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: tg3

04:00.0 USB controller [0c03]: Etron Technology, Inc. EJ168 USB 3.0 Host Controller [1b6f:7023] (rev 
01) (prog-if 30 [XHCI])
	Subsystem: ASRock Incorporation Device [1849:7023]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at f7900000 (64-bit, non-prefetchable) [size=32K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd

05:00.0 PCI bridge [0604]: PLX Technology, Inc. Device [10b5:8605] (rev aa) (prog-if 00 [Normal 
decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=05, secondary=06, subordinate=0a, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f7800000-f78fffff
	Prefetchable memory behind bridge: 00000000f0100000-00000000f02fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR+
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

06:01.0 PCI bridge [0604]: PLX Technology, Inc. Device [10b5:8605] (rev aa) (prog-if 00 [Normal 
decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=06, secondary=07, subordinate=07, sec-latency=0
	Prefetchable memory behind bridge: 00000000f0100000-00000000f02fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

06:02.0 PCI bridge [0604]: PLX Technology, Inc. Device [10b5:8605] (rev aa) (prog-if 00 [Normal 
decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=06, secondary=08, subordinate=08, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

06:03.0 PCI bridge [0604]: PLX Technology, Inc. Device [10b5:8605] (rev aa) (prog-if 00 [Normal 
decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=06, secondary=09, subordinate=0a, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f7800000-f78fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR+
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

09:00.0 PCI bridge [0604]: ASMedia Technology Inc. ASM1083/1085 PCIe to PCI Bridge [1b21:1080] (rev 
01) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=09, secondary=0a, subordinate=0a, sec-latency=32
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f7800000-f78fffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR+
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

0a:02.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI 
Controller [1106:3044] (rev c0) (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:3044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- 
DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- 
INTx-
	Latency: 32 (8000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7800000 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at d000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci


** USB devices:
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 005 Device 002: ID 046d:c03e Logitech, Inc. Premium Optical Wheel Mouse (M-BT58)
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.5-trunk-686-pae (SMP w/4 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-3.2.0-3-686-pae depends on:
ii  debconf [debconf-2.0]                   1.5.46
ii  initramfs-tools [linux-initramfs-tool]  0.107
ii  kmod                                    9-1
ii  linux-base                              3.5
ii  module-init-tools                       9-1

Versions of packages linux-image-3.2.0-3-686-pae recommends:
ii  firmware-linux-free  3.1
ii  libc6-i686           2.13-35

Versions of packages linux-image-3.2.0-3-686-pae suggests:
pn  debian-kernel-handbook  <none>
ii  grub-pc                 1.99-22.1
pn  linux-doc-3.2           <none>

Versions of packages linux-image-3.2.0-3-686-pae is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        <none>
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 16 Sep 2012 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Sep 2012 04:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 687442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sun, 16 Sep 2012 05:36:19 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-09-12 at 21:21 +0200, Carsten Grohmann wrote:
> Package: src:linux
> Version: 3.2.23-1
> Severity: normal
> 
> Dear Maintainer,
> 
> please add support for Intel Ivy Bridge processors to the Debian
> standard kernel.
>
> The current Debian kernel 3.2.0 doesn't support the new Intel processors 
> with built-in GPU.

Sure it does.  Certainly the driver has an entry for your GPU's device
ID:

	INTEL_VGA_DEVICE(0x0162, &intel_ivybridge_d_info), /* GT2 desktop */

Now, there may be *bugs*, but that's another matter.

> The kernel 3.2.0 has booted the system successfully after the processor has been replaced by a new 
> Intel Ivy Bridge i5-3570K. Unfortunately neither X nor audio were working. An update to kernel 3.5 
> from experimental tree solved all issues.

But audio has nothing to do with the processor... unless you are talking
about audio over HDMI?

We are *considering* updating some or all of the graphics drivers to the
versions found in Linux 3.4, which might fix this.  I don't know if
packages are available for test yet.

Ben.

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 20 Sep 2012 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 20 Sep 2012 16:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 687442@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Thu, 20 Sep 2012 18:04:10 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 16, 2012 at 05:36:19 +0100, Ben Hutchings wrote:

> We are *considering* updating some or all of the graphics drivers to the
> versions found in Linux 3.4, which might fix this.  I don't know if
> packages are available for test yet.
> 
My current diff against svn is
http://people.debian.org/~jcristau/drm-3.4-backport.diff

Test package at
http://people.debian.org/~jcristau/linux-image-3.2.0-4-amd64_3.2.30-1_amd64.deb
(the version number is wrong, and the ABI is most likely incompatible
with the official 3.2.29-1 package, but I forgot to change those :/).
sha1sum is 9e68d152e88464b57518bf3514b7bddb6ed0365b.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Wed, 26 Sep 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 26 Sep 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 687442@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 687442@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Wed, 26 Sep 2012 20:16:03 +0200
Am Sonntag, 16. September 2012 schrieben Sie:
> > The current Debian kernel 3.2.0 doesn't support the new Intel processors
> > with built-in GPU.
> 
> Sure it does.  Certainly the driver has an entry for your GPU's device
> ID:
> 
> 	INTEL_VGA_DEVICE(0x0162, &intel_ivybridge_d_info), /* GT2 desktop */
> 
> Now, there may be *bugs*, but that's another matter.
> 
> > The kernel 3.2.0 has booted the system successfully after the processor
> > has been replaced by a new Intel Ivy Bridge i5-3570K. Unfortunately
> > neither X nor audio were working. An update to kernel 3.5 from
> > experimental tree solved all issues.
> 
> But audio has nothing to do with the processor... unless you are talking
> about audio over HDMI?
I'm sorry my bug report was a little bit incorrect. The mainboard uses the 
Intel chipset for audio too and the sound driver is part of the kernel.
I just use analog audio and not audio over HDMI. I tried audio over HDMI, but 
it doesn't work and I didn't spent time to fix it because the analog audio 
works fine.
 
> We are *considering* updating some or all of the graphics drivers to the
> versions found in Linux 3.4, which might fix this.  I don't know if
> packages are available for test yet.

Great, I'll test the package soon.

Regards,
Carsten



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 27 Sep 2012 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 27 Sep 2012 20:33:06 GMT) Full text and rfc822 format available.

Message #25 received at 687442@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: Julien Cristau <jcristau@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 687442@bugs.debian.org
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Thu, 27 Sep 2012 22:22:23 +0200
Hi Julien,

Am Donnerstag, 20. September 2012 schrieb Julien Cristau:
> Test package at
> http://people.debian.org/~jcristau/linux-image-3.2.0-4-amd64_3.2.30-1_amd64
> .deb (the version number is wrong, and the ABI is most likely incompatible
> with the official 3.2.29-1 package, but I forgot to change those :/).
> sha1sum is 9e68d152e88464b57518bf3514b7bddb6ed0365b.

I'd like to test the new package. I've installed a 32-bit system currently. 

# uname -a
Linux max 3.5-trunk-686-pae #1 SMP Thu Aug 2 17:56:18 UTC 2012 i686 GNU/Linux

Could you provide proper package, please?

Regards,
Carsten



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Fri, 28 Sep 2012 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 28 Sep 2012 03:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 687442@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Carsten Grohmann <carstengrohmann@gmx.de>
Cc: 687442@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Thu, 27 Sep 2012 20:24:12 -0700
Hi Carsten,

Carsten Grohmann wrote:
> Am Donnerstag, 20. September 2012 schrieb Julien Cristau:

>> Test package at
>> http://people.debian.org/~jcristau/linux-image-3.2.0-4-amd64_3.2.30-1_amd64
>> .deb (the version number is wrong, and the ABI is most likely incompatible
>> with the official 3.2.29-1 package, but I forgot to change those :/).
>> sha1sum is 9e68d152e88464b57518bf3514b7bddb6ed0365b.
>
> I'd like to test the new package. I've installed a 32-bit system currently. 

If you have a 64-bit CPU, one possibility is

	sha1sum linux-image-3.2.0-4-amd64_3.2.30-1_amd64.deb
	dpkg --force-architecture --install linux-image-3.2.0-4-amd64_3.2.20-1_amd64.deb

The magic of multi-arch (well, sort of). :)

Hope that helps,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 30 Sep 2012 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 Sep 2012 10:42:06 GMT) Full text and rfc822 format available.

Message #35 received at 687442@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 687442@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sun, 30 Sep 2012 12:41:03 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, 28. September 2012 schrieb Jonathan Nieder:
> If you have a 64-bit CPU, one possibility is
> 
> 	sha1sum linux-image-3.2.0-4-amd64_3.2.30-1_amd64.deb
> 	dpkg --force-architecture --install
> linux-image-3.2.0-4-amd64_3.2.20-1_amd64.deb
> 
> The magic of multi-arch (well, sort of). :)
Thanks Jonathan, it helped. I installed and bootet the kernel today.


During the boot process the singnal to my DVI connected monitor disappears. 
I've created a video of the boot process. The last lines are:

input: PC Speaker as /devices/platform/pcspkr/input/input4
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.07
iTCO_wdt: Found a Panther Point TCO device (Version=2, TCOBASE=0x0460)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
alg: No test for __gcm-aes-aesni (__driver-gcm-aes-aesni)

Unfortunately I could not provide anymore output. 

With the disabled KMS ("i915.modeset=0") the boot was successful. 
Once I disabled KMS at boottime (i915.modeset=0). This boot process has been 
completed. Audio and network is working. The dmesg output is attached.

Regards,
Carsten
[dmesg_20120930-nokms.log.bz2 (application/x-bzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sat, 13 Oct 2012 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Oct 2012 10:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 687442@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 687442@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sat, 13 Oct 2012 12:07:48 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Sonntag, 30. September 2012 schrieb Carsten Grohmann:
> During the boot process the singnal to my DVI connected monitor disappears.
> I've created a video of the boot process. The last lines are:
> 
> input: PC Speaker as /devices/platform/pcspkr/input/input4
> iTCO_vendor_support: vendor-support=0
> iTCO_wdt: Intel TCO WatchDog Timer Driver v1.07
> iTCO_wdt: Found a Panther Point TCO device (Version=2, TCOBASE=0x0460)
> iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
> alg: No test for __gcm-aes-aesni (__driver-gcm-aes-aesni)
> 
> Unfortunately I could not provide anymore output.

I did some further tests today. The driver of the USB serial device has been loaded to late. Thereby I didn't get a serial 
log. But pressing the power button the system shutdown gracefully after many many seconds.
That's the log of this boot:

[    6.998683] i915 0000:00:02.0: irq 53 for MSI/MSI-X
[    6.998686] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    6.998718] [drm] Driver supports precise vblank timestamp query.
[    6.999179] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    7.047886] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
[    7.233761] BUG: unable to handle kernel paging request at 00000000001ff800
[    7.233846] IP: [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]
[    7.233932] PGD 213742067 PUD 0
[    7.234007] Oops: 0002 [#1] SMP
[    7.235489] CPU 2
[    7.235512] Modules linked in: snd_seq_midi snd_seq_midi_event snd_rawmidi ftdi_sio i915(+) snd_seq coretemp 
crc32c_intel usbserial snd_seq_device snd_timer ghash_clmulni_intel snd acpi_cpufreq mperf iTCO_wdt aesni_intel aes_x86_64 
soundcore i2c_i801 pcspkr iTCO_vendor_support aes_generic cryptd evdev processor xfs nouveau power_supply i2c_algo_bit 
drm_kms_helper ttm drm i2c_core usbhid hid sg sr_mod sd_mod crc_t10dif cdrom mxm_wmi firewire_ohci firewire_core crc_itu_t 
ahci libahci libata xhci_hcd ehci_hcd scsi_mod wmi tg3 libphy usbcore usb_common button video thermal_sys [last unloaded: 
scsi_wait_scan]
[    7.236908]
[    7.236943] Pid: 482, comm: modprobe Not tainted 3.2.0-4-amd64 #1 Debian 3.2.30-1 To Be Filled By O.E.M. To Be Filled 
By O.E.M./Z77 Extreme6
[    7.237066] RIP: 0010:[<ffffffffa03a28a2>]  [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]
[    7.237162] RSP: 0018:ffff8802136cfc38  EFLAGS: 00010206
[    7.237203] RAX: 00000000001ff800 RBX: ffff880211cca000 RCX: 00000000001ff800
[    7.237248] RDX: ffff880215741fc0 RSI: 0000000000000000 RDI: 0000000015434021
[    7.237293] RBP: 0000000000000000 R08: 6db6db6db6db6db7 R09: 0000160000000000
[    7.237337] R10: 0000000000000246 R11: 0000000000000246 R12: ffff880215887000
[    7.237382] R13: 0000000000000000 R14: 0000000010000000 R15: ffff880211cca000
[    7.237427] FS:  0000000000000000(0000) GS:ffff88021f300000(0063) knlGS:00000000f75d0b40
[    7.237485] CS:  0010 DS: 002b ES: 002b CR0: 0000000080050033
[    7.237527] CR2: 00000000001ff800 CR3: 0000000215625000 CR4: 00000000001406e0
[    7.237572] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[    7.237616] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[    7.237661] Process modprobe (pid: 482, threadinfo ffff8802136ce000, task ffff8802135daea0)
[    7.237719] Stack:
[    7.237754]  ffff880215887000 0000000000000000 ffff880211cca000 0000000000000000
[    7.237884]  0000000010000000 ffffffffa03a29f3 ffff880211cca000 ffff880215887000
[    7.238015]  ffff880211cca000 0000000000000000 0000000000000000 ffffffffa0394352
[    7.238146] Call Trace:
[    7.238197]  [<ffffffffa03a29f3>] ? i915_gem_init_hw+0x78/0x9e [i915]
[    7.238255]  [<ffffffffa0394352>] ? i915_driver_load+0x9b7/0xe25 [i915]
[    7.238306]  [<ffffffffa01315e9>] ? drm_get_minor+0x21f/0x27c [drm]
[    7.238355]  [<ffffffffa01330fd>] ? drm_get_pci_dev+0x146/0x248 [drm]
[    7.238401]  [<ffffffff810708a9>] ? arch_local_irq_save+0x11/0x17
[    7.238447]  [<ffffffff811c5353>] ? local_pci_probe+0x39/0x68
[    7.238491]  [<ffffffff811c5dfc>] ? pci_device_probe+0xcd/0xfa
[    7.238537]  [<ffffffff8124f991>] ? driver_probe_device+0xa8/0x138
[    7.238580]  [<ffffffff8124fa70>] ? __driver_attach+0x4f/0x6f
[    7.238624]  [<ffffffff8124fa21>] ? driver_probe_device+0x138/0x138
[    7.238669]  [<ffffffff8124e5c3>] ? bus_for_each_dev+0x4a/0x75
[    7.238713]  [<ffffffff8124f328>] ? bus_add_driver+0xa5/0x1f5
[    7.238756]  [<ffffffffa03ec000>] ? 0xffffffffa03ebfff
[    7.238799]  [<ffffffff8124fe98>] ? driver_register+0x8d/0xf5
[    7.238842]  [<ffffffffa03ec000>] ? 0xffffffffa03ebfff
[    7.238886]  [<ffffffff811c6617>] ? __pci_register_driver+0x4d/0xb6
[    7.238930]  [<ffffffffa03ec000>] ? 0xffffffffa03ebfff
[    7.238972]  [<ffffffff81002085>] ? do_one_initcall+0x75/0x12c
[    7.239016]  [<ffffffffa03ec000>] ? 0xffffffffa03ebfff
[    7.239059]  [<ffffffff81075040>] ? sys_init_module+0x10c/0x25b
[    7.239105]  [<ffffffff81352f70>] ? sysenter_dispatch+0x7/0x2e
[    7.239147] Code: 08 48 8b 04 c7 4c 01 c8 48 c1 f8 03 49 0f af c0 48 c1 e0 0c 89 c7 48 c1 e8 1c 25 f0 0f 00 00 83 cf 01 
09 c7 48 63 c6 48 8d 04 81 <89> 38 ff c6 3b 32 72 b0 8b 01 49 8b 84 24 48 03 00 00 8b 6a 10
[    7.240442] RIP  [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]
[    7.240518]  RSP <ffff8802136cfc38>
[    7.240556] CR2: 00000000001ff800
[    7.240620] ---[ end trace f2ff45db06edf42b ]---

HTH,
Carsten
[dmesg_20121013.bz2 (application/x-bzip, attachment)]

Changed Bug title to 'i915: DVI output broken on i5-3570K (Ivy Bridge)' from 'linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 01:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 26 Nov 2012 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Nov 2012 15:24:03 GMT) Full text and rfc822 format available.

Message #47 received at 687442@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Mon, 26 Nov 2012 16:20:50 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 13, 2012 at 12:07:48 +0200, Carsten Grohmann wrote:

> [    7.233761] BUG: unable to handle kernel paging request at 00000000001ff800
> [    7.233846] IP: [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]
> [    7.233932] PGD 213742067 PUD 0
> [    7.234007] Oops: 0002 [#1] SMP
> [    7.235489] CPU 2
> [    7.235512] Modules linked in: snd_seq_midi snd_seq_midi_event snd_rawmidi ftdi_sio i915(+) snd_seq coretemp 
> crc32c_intel usbserial snd_seq_device snd_timer ghash_clmulni_intel snd acpi_cpufreq mperf iTCO_wdt aesni_intel aes_x86_64 
> soundcore i2c_i801 pcspkr iTCO_vendor_support aes_generic cryptd evdev processor xfs nouveau power_supply i2c_algo_bit 
> drm_kms_helper ttm drm i2c_core usbhid hid sg sr_mod sd_mod crc_t10dif cdrom mxm_wmi firewire_ohci firewire_core crc_itu_t 
> ahci libahci libata xhci_hcd ehci_hcd scsi_mod wmi tg3 libphy usbcore usb_common button video thermal_sys [last unloaded: 
> scsi_wait_scan]
> [    7.236908]
> [    7.236943] Pid: 482, comm: modprobe Not tainted 3.2.0-4-amd64 #1 Debian 3.2.30-1 To Be Filled By O.E.M. To Be Filled 
> By O.E.M./Z77 Extreme6
> [    7.237066] RIP: 0010:[<ffffffffa03a28a2>]  [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]

OK, I'm pretty sure this is because I forgot to include the agp changes
in the backport (there's a couple of ppgtt-related commits).  Building a
new kernel now for you to try, sorry for the delay.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 26 Nov 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Nov 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #52 received at 687442@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Mon, 26 Nov 2012 22:28:56 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov 26, 2012 at 16:20:50 +0100, Julien Cristau wrote:

> On Sat, Oct 13, 2012 at 12:07:48 +0200, Carsten Grohmann wrote:
> 
> > [    7.233761] BUG: unable to handle kernel paging request at 00000000001ff800
> > [    7.233846] IP: [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]
> > [    7.233932] PGD 213742067 PUD 0
> > [    7.234007] Oops: 0002 [#1] SMP
> > [    7.235489] CPU 2
> > [    7.235512] Modules linked in: snd_seq_midi snd_seq_midi_event snd_rawmidi ftdi_sio i915(+) snd_seq coretemp 
> > crc32c_intel usbserial snd_seq_device snd_timer ghash_clmulni_intel snd acpi_cpufreq mperf iTCO_wdt aesni_intel aes_x86_64 
> > soundcore i2c_i801 pcspkr iTCO_vendor_support aes_generic cryptd evdev processor xfs nouveau power_supply i2c_algo_bit 
> > drm_kms_helper ttm drm i2c_core usbhid hid sg sr_mod sd_mod crc_t10dif cdrom mxm_wmi firewire_ohci firewire_core crc_itu_t 
> > ahci libahci libata xhci_hcd ehci_hcd scsi_mod wmi tg3 libphy usbcore usb_common button video thermal_sys [last unloaded: 
> > scsi_wait_scan]
> > [    7.236908]
> > [    7.236943] Pid: 482, comm: modprobe Not tainted 3.2.0-4-amd64 #1 Debian 3.2.30-1 To Be Filled By O.E.M. To Be Filled 
> > By O.E.M./Z77 Extreme6
> > [    7.237066] RIP: 0010:[<ffffffffa03a28a2>]  [<ffffffffa03a28a2>] i915_gem_init_ppgtt+0x93/0x16c [i915]
> 
> OK, I'm pretty sure this is because I forgot to include the agp changes
> in the backport (there's a couple of ppgtt-related commits).  Building a
> new kernel now for you to try, sorry for the delay.
> 
New image is up at
http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~jcristau.1_amd64.deb

sha1sum is 1bbb6e4590e4f000739af89f3090ffc6bb9cb409.
diff against svn at
http://people.debian.org/~jcristau/3.2.34-1~jcristau.1.diff

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 29 Nov 2012 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Nov 2012 21:00:03 GMT) Full text and rfc822 format available.

Message #57 received at 687442@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 687442@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Thu, 29 Nov 2012 21:57:52 +0100
[Message part 1 (text/plain, inline)]
Am Montag, 26. November 2012 schrieb Julien Cristau:
> New image is up at
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~j
> cristau.1_amd64.deb
I've use the new kernel without any trouble. All works fine.

Thanks,
Carsten
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Fri, 30 Nov 2012 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 30 Nov 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #62 received at 687442@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Fri, 30 Nov 2012 21:00:00 +0100
[Message part 1 (text/plain, inline)]
On Thu, Nov 29, 2012 at 21:57:52 +0100, Carsten Grohmann wrote:

> Am Montag, 26. November 2012 schrieb Julien Cristau:
> > New image is up at
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~j
> > cristau.1_amd64.deb
> I've use the new kernel without any trouble. All works fine.
> 
Awesome, thanks for your help.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 02 Dec 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 02 Dec 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #67 received at 687442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Julien Cristau <jcristau@debian.org>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sun, 02 Dec 2012 17:01:03 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2012-11-26 at 22:28 +0100, Julien Cristau wrote:
> New image is up at
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~jcristau.1_amd64.deb
> 
> sha1sum is 1bbb6e4590e4f000739af89f3090ffc6bb9cb409.
> diff against svn at
> http://people.debian.org/~jcristau/3.2.34-1~jcristau.1.diff

Tested with:

1. Thinkpad T61, GM965 (i915 gen4), LVDS display, sid userland
GNOME Shell, Google Earth, Extreme Tux Racer all seem to work

2. White box, Core i5 2500 (SNB, i915 gen6), VGA display, squeeze userland
It looks like gdm crashed the first time I tried to log in, but it
worked the second time.  There was nothing obvious in kernel or X server
log.  squeeze doesn't haven't DRM support for this chip, so no 3D tests.

I have a couple of older machines with Radeon graphics, but will need to
build an i386 package first.  I may also re-test on system 2 with wheezy
userland.

Ben.

-- 
Ben Hutchings
It is easier to change the specification to fit the program than vice versa.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 03 Dec 2012 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 Dec 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #72 received at 687442@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Julien Cristau <jcristau@debian.org>, 687442@bugs.debian.org
Cc: Carsten Grohmann <carstengrohmann@gmx.de>, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Mon, 3 Dec 2012 15:05:54 +0200
On Mon, Nov 26, 2012 at 10:28:56PM +0100, Julien Cristau wrote:
> New image is up at
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~jcristau.1_amd64.deb
> 
> sha1sum is 1bbb6e4590e4f000739af89f3090ffc6bb9cb409.
> diff against svn at
> http://people.debian.org/~jcristau/3.2.34-1~jcristau.1.diff

Tested working with Asus 1215B (AMD Radeon Brazos APU), wheezy
No problems found (compared to 3.2.32-1)



Changed Bug title to 'Use DRM/KMS subsystem from Linux 3.4 in wheezy' from 'i915: DVI output broken on i5-3570K (Ivy Bridge)' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 06 Dec 2012 13:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 06 Dec 2012 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Dec 2012 13:51:05 GMT) Full text and rfc822 format available.

Message #79 received at 687442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: 687442@bugs.debian.org
Subject: Further patches for 3.4 DRM in wheezy
Date: Thu, 06 Dec 2012 13:47:12 +0000
[Message part 1 (text/plain, inline)]
bugfix/x86/drm-i915-Only-kick-out-vesafb-if-we-takeover-the-fbc.patch
needs to be refreshed; attached.

An additional patch
(debian/revert-vm-add-vm_munmap-helper-function.patch) is needed to
build the i810 driver (which is i386-only); attached.

Ben.

-- 
Ben Hutchings
Computers are not intelligent.	They only think they are.
[drm-i915-Only-kick-out-vesafb-if-we-takeover-the-fbc.patch (text/x-patch, attachment)]
[revert-vm-add-vm_munmap-helper-function.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 06 Dec 2012 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Dec 2012 14:03:04 GMT) Full text and rfc822 format available.

Message #84 received at 687442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 687442@bugs.debian.org
Subject: Tested with GeForce 8500 GT: success
Date: Thu, 06 Dec 2012 14:01:25 +0000
[Message part 1 (text/plain, inline)]
-------- Forwarded Message --------
From: Sven Joachim <svenjoac@gmx.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 694734@bugs.debian.org, Javier Domingo <javierdo1@gmail.com>
Subject: Re: Bug#694734: adjusting severity
Date: Wed, 05 Dec 2012 18:15:44 +0100

On 2012-12-05 01:12 +0100, Ben Hutchings wrote:

> Could you try Julien Cristau's kernel package that uses 3.4 DRM drivers?
> This is a possible solution for wheezy's current poor or missing support
> for some recent GPUs.

Works fine with my GeForce 8500 GT, I don't have any more recent GPU to
test.

> Quoting from #687442:
>> New image is up at
>> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~jcristau.1_amd64.deb
>> 
>> sha1sum is 1bbb6e4590e4f000739af89f3090ffc6bb9cb409.
>> diff against svn at
>> http://people.debian.org/~jcristau/3.2.34-1~jcristau.1.diff

Cheers,
       Sven


[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 06 Dec 2012 14:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Fri, 04 Jan 2013 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 04 Jan 2013 16:15:03 GMT) Full text and rfc822 format available.

Message #91 received at 687442@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Fri, 4 Jan 2013 17:13:35 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov 26, 2012 at 22:28:56 +0100, Julien Cristau wrote:

> New image is up at
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~jcristau.1_amd64.deb
> 
> sha1sum is 1bbb6e4590e4f000739af89f3090ffc6bb9cb409.
> diff against svn at
> http://people.debian.org/~jcristau/3.2.34-1~jcristau.1.diff
> 
New image:
- rebased on 3.2.35-2
- updated drm to 3.4.24
- with additional patches from 3.2.y that were missing in 3.4.y

diff at
http://people.debian.org/~jcristau/drm-backport-3.2.35-3~jcristau.1.patch

http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833

Lightly tested on Dell latitude D520 with intel 945gm graphics, and
squeeze userspace.

http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32

Running on Dell latitude E4200 with intel gm45 graphics, wheezy GNOME3
desktop.

Ben, do you have ideas for getting some wider testing of these kernels?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sat, 05 Jan 2013 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 05 Jan 2013 16:27:03 GMT) Full text and rfc822 format available.

Message #96 received at 687442@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carsten Grohmann <carstengrohmann@gmx.de>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sat, 5 Jan 2013 17:25:22 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan  4, 2013 at 17:13:35 +0100, Julien Cristau wrote:

> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
> sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833
> 
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32
> 
Added
http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-486_3.2.35-3~jcristau.1_i386.deb
sha1sum 76f67adbed522f8e42216f8595c8b5d1699af9ec

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sat, 05 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 05 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Message #101 received at 687442@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Julien Cristau <jcristau@debian.org>, 687442@bugs.debian.org
Cc: Carsten Grohmann <carstengrohmann@gmx.de>, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sat, 5 Jan 2013 21:02:34 +0200
On Fri, Jan 04, 2013 at 05:13:35PM +0100, Julien Cristau wrote:
> On Mon, Nov 26, 2012 at 22:28:56 +0100, Julien Cristau wrote:
> 
> > New image is up at
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.34-1~jcristau.1_amd64.deb
> > 
> > sha1sum is 1bbb6e4590e4f000739af89f3090ffc6bb9cb409.
> > diff against svn at
> > http://people.debian.org/~jcristau/3.2.34-1~jcristau.1.diff
> > 
> New image:
> - rebased on 3.2.35-2
> - updated drm to 3.4.24
> - with additional patches from 3.2.y that were missing in 3.4.y
> 
> diff at
> http://people.debian.org/~jcristau/drm-backport-3.2.35-3~jcristau.1.patch
> 
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
> sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833
> 
> Lightly tested on Dell latitude D520 with intel 945gm graphics, and
> squeeze userspace.
> 
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32

Amd64 deb works fine with Asus 1215B (AMD Radeon 6310 APU), wheezy xfce



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 06 Jan 2013 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Jan 2013 14:06:02 GMT) Full text and rfc822 format available.

Message #106 received at 687442@bugs.debian.org (full text, mbox):

From: Carsten Grohmann <carstengrohmann@gmx.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 687442@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support
Date: Sun, 6 Jan 2013 15:03:41 +0100
Hu Julien,

Am Freitag, 4. Januar 2013 schrieb Julien Cristau:
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3
> ~jcristau.1_i386.deb sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833

Could you provide a header too, please? I'd like to run a virtual box at my 
box.

Thanks
Carsten



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 07 Jan 2013 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Jan 2013 18:09:05 GMT) Full text and rfc822 format available.

Message #111 received at 687442@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Julien Cristau <jcristau@debian.org>, 687442@bugs.debian.org
Cc: Carsten Grohmann <carstengrohmann@gmx.de>, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Successful test with ASUS Eee PC 701 4G (Intel 915GMS) (was: Bug#687442: linux-image-3.2.0-3-686-pae: Add Intel Ivy Bridge support)
Date: Mon, 07 Jan 2013 19:04:17 +0100
[Message part 1 (text/plain, inline)]
Am Samstag, den 05.01.2013, 17:25 +0100 schrieb Julien Cristau:
> On Fri, Jan  4, 2013 at 17:13:35 +0100, Julien Cristau wrote:
> 
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
> > sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833

I successfully used that one under an Eee PC 701 4G with an Intel 915
GMS chipset.

        $ lspci | grep VGA
        00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)

> > 
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> > sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32
>
> Added
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-486_3.2.35-3~jcristau.1_i386.deb
> sha1sum 76f67adbed522f8e42216f8595c8b5d1699af9ec


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 07 Jan 2013 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Jan 2013 22:57:03 GMT) Full text and rfc822 format available.

Message #116 received at 687442@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Julien Cristau <jcristau@debian.org>, 687442@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: [Backport] Use DRM/KMS subsystem from Linux 3.4 in wheezy
Date: Mon, 07 Jan 2013 23:55:09 +0100
Le samedi 05 janvier 2013 à 17:25 +0100, Julien Cristau a écrit :
> On Fri, Jan  4, 2013 at 17:13:35 +0100, Julien Cristau wrote:
> 
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
> > sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833
> > 
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> > sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32

Hi Julien et al.

I tested with an Asus UX31A (Ivybridge Mobile GT2, eDP1 display), using
2D and 3D drivers from Wheezy (respectively versions 2.19.0-6 and
8.0.5-3).

On the DE side, I used GNOME Shell and Cinnamon (both need 3D
acceleration).

On the kernel side, I used:

i915.i915_enable_rc6={0, 1, 3} → no issue (don't know if it worth to
test RC6pp)

i915.semaphores=1 → ditto

In order to stress the GPU, I played some video bits in 1080p mostly
using VAAPI, played video games (native and emulated), and the usual
glxgear to see if all went well, and that's a *success*, the kernel is
pretty stable (contrary to the "raw" 3.2 series which causes some
freezes on this system, but that's another story I need to
investigate ;-)).

Voilà, to me this kernel is in really good shape, so thank you Julien
for backporting this stuff!

TODO:
- Testing VGA and HDMI outputs
- Testing my old GPUs to prevent regressions (Radeon X800XL and Nvidia
7600GS)
- Testing SNA (?)
- Advertising about this kernel (I found it haphazardly by diving in the
BTS)

> > 
> Added
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-486_3.2.35-3~jcristau.1_i386.deb
> sha1sum 76f67adbed522f8e42216f8595c8b5d1699af9ec
> 
> Cheers,
> Julien

Regards,
Vincent


PS: By the way if Greg KH tags a new longterm kernel, will there be a
chance to see the DRM subsystem backported in Wheezy or that's
definitely too invasive and we'll stay with 3.4 (I don't have any issue
with that, I'm just curious).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sat, 12 Jan 2013 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 12 Jan 2013 20:57:03 GMT) Full text and rfc822 format available.

Message #121 received at 687442@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 687442@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: [Backport] Use DRM/KMS subsystem from Linux 3.4 in wheezy
Date: Sat, 12 Jan 2013 21:54:38 +0100
Le lundi 07 janvier 2013 à 23:55 +0100, Vincent Blut a écrit :
> Le samedi 05 janvier 2013 à 17:25 +0100, Julien Cristau a écrit :
> > On Fri, Jan  4, 2013 at 17:13:35 +0100, Julien Cristau wrote:
> > 
> > > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
> > > sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833
> > > 
> > > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> > > sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32
> 
> Hi Julien et al.
> 
> I tested with an Asus UX31A (Ivybridge Mobile GT2, eDP1 display), using
> 2D and 3D drivers from Wheezy (respectively versions 2.19.0-6 and
> 8.0.5-3).
> 
> On the DE side, I used GNOME Shell and Cinnamon (both need 3D
> acceleration).
> 
> On the kernel side, I used:
> 
> i915.i915_enable_rc6={0, 1, 3} → no issue (don't know if it worth to
> test RC6pp)
> 
> i915.semaphores=1 → ditto
> 
> In order to stress the GPU, I played some video bits in 1080p mostly
> using VAAPI, played video games (native and emulated), and the usual
> glxgear to see if all went well, and that's a *success*, the kernel is
> pretty stable (contrary to the "raw" 3.2 series which causes some
> freezes on this system, but that's another story I need to
> investigate ;-)).
> 
> Voilà, to me this kernel is in really good shape, so thank you Julien
> for backporting this stuff!
> 
> TODO:
> - Testing VGA and HDMI outputs
> - Testing my old GPUs to prevent regressions (Radeon X800XL and Nvidia
> 7600GS)

Hi,

Finally had time to test those old cards, as expected absolutely all
went well.

Concerned devices:

$ lspci -nnv | grep VGA
05:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD]
nee ATI R430 [Radeon X800 XL] (PCIe) [1002:554d] (prog-if 00 [VGA
controller])

$ lspci -nnv | grep VGA
05:00.0 VGA compatible controller [0300]: NVIDIA Corporation G73
[GeForce 7600 GS] [10de:0392] (rev a1) (prog-if 00 [VGA controller])

libdrm, 2D and 3D drivers from Wheezy.

Tested using glxgear, playing 720p videos (with Xvideo and Opengl video
output), playing some basic games, google earth…

Cheers,
Vincent 

> - Testing SNA (?)
> - Advertising about this kernel (I found it haphazardly by diving in the
> BTS)
> 
> > > 
> > Added
> > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-486_3.2.35-3~jcristau.1_i386.deb
> > sha1sum 76f67adbed522f8e42216f8595c8b5d1699af9ec
> > 
> > Cheers,
> > Julien
> 
> Regards,
> Vincent
> 
> 
> PS: By the way if Greg KH tags a new longterm kernel, will there be a
> chance to see the DRM subsystem backported in Wheezy or that's
> definitely too invasive and we'll stay with 3.4 (I don't have any issue
> with that, I'm just curious).
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sat, 26 Jan 2013 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harvey Kelly <harvey1506@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 26 Jan 2013 18:39:03 GMT) Full text and rfc822 format available.

Message #126 received at 687442@bugs.debian.org (full text, mbox):

From: Harvey Kelly <harvey1506@gmail.com>
To: 687442@bugs.debian.org
Subject: linux-image-3.2.0-4.drm-amd64
Date: Sat, 26 Jan 2013 18:36:34 +0000
Re: http://womble.decadent.org.uk/blog/whats-in-the-linux-kernel-for-debian-70-wheezy-part-4.html

Been using the kernel *linux-image-3.2.0-4.drm-amd64* for a few hours
and everything looks fine here.

Tested on Compaq Presaro CQ70 laptop with Intel GMA 4500MHD graphics.
Suspend/resume works, as does 3D (running Gnome-shell and tested
graphics by playing System Shock 2 via Wine).



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sat, 26 Jan 2013 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 26 Jan 2013 22:24:03 GMT) Full text and rfc822 format available.

Message #131 received at 687442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 687442@bugs.debian.org
Subject: Test packages for this bug
Date: Sat, 26 Jan 2013 22:22:07 +0000
[Message part 1 (text/plain, inline)]
Julien Cristau's latest test packages can be installed using APT as
follows:

        gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --export 310180050905E40C | apt-key add -
        echo deb http://people.debian.org/~jcristau/wheezy-drm34/ ./ > /etc/apt/sources.list.d/jcristau-wheezy-drm34.list
        apt-get update
        apt-get install linux-image-3.2.0-4.drm-amd64  # or -486, or -686-pae

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 26 Jan 2013 22:24:07 GMT) Full text and rfc822 format available.

Added indication that bug 687442 blocks 692862,689268,692234,692500 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 26 Jan 2013 22:24:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 27 Jan 2013 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 27 Jan 2013 11:21:05 GMT) Full text and rfc822 format available.

Message #140 received at 687442@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 687442@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 689268-submitter@bugs.debian.org, 692234-submitter@bugs.debian.org, 692500-submitter@bugs.debian.org, 692862-submitter@bugs.debian.org, 689268@bugs.debian.org, 692500@bugs.debian.org, 692862@bugs.debian.org, 692234@bugs.debian.org
Subject: Re: Bug#692234: Processed: severity of 689268 is important
Date: Sun, 27 Jan 2013 12:17:06 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 26.01.2013 23:37, schrieb Ben Hutchings:

> Julien Cristau prepared some packages for testing before we make
> this change.  Here's how you would install them with APT:
> 
> gpg --no-default-keyring --keyring
> /usr/share/keyrings/debian-keyring.gpg --export 310180050905E40C |
> apt-key add - echo deb
> http://people.debian.org/~jcristau/wheezy-drm34/ ./ >
> /etc/apt/sources.list.d/jcristau-wheezy-drm34.list apt-get update 
> apt-get install linux-image-3.2.0-4.drm-amd64  # or -486, or
> -686-pae
> 
> Please test and send your results (good or bad) to 
> 687442@bugs.debian.org


I already posted here several weeks ago:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692234#433
that I cannot test without the matching linux-header package! This
headers are still missing in his repo. I'll test as soon as headers
are available - please let me know.

/Ingo
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAlEFDI8ACgkQx2YcFfrwLxMAUACfQ/9YomlVoJk1V1+YBfrMo+Op
AckAnA1XiU/xGlRnoT+LV3cGhOtpK6XV
=I+mX
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 27 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Antonio-M. Corbi Bellot" <antonio.corbi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 27 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Message #145 received at 687442@bugs.debian.org (full text, mbox):

From: "Antonio-M. Corbi Bellot" <antonio.corbi@gmail.com>
To: 687442@bugs.debian.org
Subject: Julien Cristau wheezy-drm34
Date: Sun, 27 Jan 2013 19:06:54 +0100
[Message part 1 (text/plain, inline)]
Hi Julien, Ben:

Standard kernel 3.2 in wheezy is unusuable for me in this laptop (ASUS
A55V, core i7 3rd gen.). The machine boots and works ok for a
while (minutes)...but suddenly it hard freezes. If I'm listening to
music...the music stays in a loop when it freezes.

Kernels > 3.2 made this machine work OK...until 3.7.x from experimental.

I attach the lspci and lsusb of this machine.

I read yesterday in pdo the post from Ben Hutchings and decided to give
a try to kernel-3.2 prepared by Julien.

It seems this kernel has the right patches applied, at least for me.
The laptop is working OK for 3hours, and suspend and resume seem to
work.

I still detect a pair of minor glitches with this kernel:

1) The sd-card reader in the laptop is not detected, even kernel 3.7.x
can't detect it.

2) The function keys for screen brightness adjustment are not
detected...I checked that kernel 3.7.x could detect them and worked as
expected. I don't know if these bits could be backported.

So thanks to all the people working to make wheezy a great version!

A. Corbi.
-- 
[lspci.txt (text/plain, attachment)]
[lsusb.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 28 Jan 2013 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to noreply@example.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Jan 2013 13:03:04 GMT) Full text and rfc822 format available.

Message #150 received at 687442@bugs.debian.org (full text, mbox):

From: noreply@example.com
To: 689268@bugs.debian.org
Cc: 687442@bugs.debian.org
Subject: My testresult so far
Date: Mon, 28 Jan 2013 13:49:51 +0100
[Message part 1 (text/plain, inline)]
self-compiled version of 
http://people.debian.org/~jcristau/wheezy-drm34/
with headers

uptime 1day 11 hours (24 hours running)

tested:
Intel(R) Core(TM) i5-3450
Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
7 Series/C210 Series Chipset Family High Definition Audio Controller
RTL8111/8168B PCI Express Gigabit Ethernet controller


video-out: DVI OK
multiple suspend-resume cycles OK
virtualbox up/downs OK
audio OK
network OK

no freezes 

probably unrelated problems: 
1x no response to clicks of external mouse for 15+ sec. 
    (psmouse serio1: logips2pp)

will report back on problems
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 28 Jan 2013 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Jan 2013 13:42:03 GMT) Full text and rfc822 format available.

Message #155 received at 687442@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 687442@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#687442: [Backport] Use DRM/KMS subsystem from Linux 3.4 in wheezy
Date: Mon, 28 Jan 2013 14:38:29 +0100
Le samedi 12 janvier 2013 à 21:54 +0100, Vincent Blut a écrit :
> Le lundi 07 janvier 2013 à 23:55 +0100, Vincent Blut a écrit :
> > Le samedi 05 janvier 2013 à 17:25 +0100, Julien Cristau a écrit :
> > > On Fri, Jan  4, 2013 at 17:13:35 +0100, Julien Cristau wrote:
> > > 
> > > > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-686-pae_3.2.35-3~jcristau.1_i386.deb
> > > > sha1sum 17980ee5bafc40bb4e7bf42576ce40ac81c75833
> > > > 
> > > > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> > > > sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32
> > 
> > Hi Julien et al.
> > 
> > I tested with an Asus UX31A (Ivybridge Mobile GT2, eDP1 display), using
> > 2D and 3D drivers from Wheezy (respectively versions 2.19.0-6 and
> > 8.0.5-3).
> > 
> > On the DE side, I used GNOME Shell and Cinnamon (both need 3D
> > acceleration).
> > 
> > On the kernel side, I used:
> > 
> > i915.i915_enable_rc6={0, 1, 3} → no issue (don't know if it worth to
> > test RC6pp)
> > 
> > i915.semaphores=1 → ditto
> > 
> > In order to stress the GPU, I played some video bits in 1080p mostly
> > using VAAPI, played video games (native and emulated), and the usual
> > glxgear to see if all went well, and that's a *success*, the kernel is
> > pretty stable (contrary to the "raw" 3.2 series which causes some
> > freezes on this system, but that's another story I need to
> > investigate ;-)).
> > 
> > Voilà, to me this kernel is in really good shape, so thank you Julien
> > for backporting this stuff!
> > 
> > TODO:
> > - Testing VGA and HDMI outputs

I tested the HDMI output on two external screens (TV and 'standard'
display). Suspending/resuming with external display attached shows no
regressions, as well as sound through HDMI, which is handled by
'drm/i915' IIRC.

To conclude, those 'HDMI output' tests have shown neither new bugs nor
regressions (at least on my system). 

Cheers,
Vincent

> > - Testing my old GPUs to prevent regressions (Radeon X800XL and Nvidia
> > 7600GS)
> 
> Hi,
> 
> Finally had time to test those old cards, as expected absolutely all
> went well.
> 
> Concerned devices:
> 
> $ lspci -nnv | grep VGA
> 05:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD]
> nee ATI R430 [Radeon X800 XL] (PCIe) [1002:554d] (prog-if 00 [VGA
> controller])
> 
> $ lspci -nnv | grep VGA
> 05:00.0 VGA compatible controller [0300]: NVIDIA Corporation G73
> [GeForce 7600 GS] [10de:0392] (rev a1) (prog-if 00 [VGA controller])
> 
> libdrm, 2D and 3D drivers from Wheezy.
> 
> Tested using glxgear, playing 720p videos (with Xvideo and Opengl video
> output), playing some basic games, google earth…
> 
> Cheers,
> Vincent 
> 
> > - Testing SNA (?)
> > - Advertising about this kernel (I found it haphazardly by diving in the
> > BTS)
> > 
> > > > 
> > > Added
> > > http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-486_3.2.35-3~jcristau.1_i386.deb
> > > sha1sum 76f67adbed522f8e42216f8595c8b5d1699af9ec
> > > 
> > > Cheers,
> > > Julien
> > 
> > Regards,
> > Vincent
> > 
> > 
> > PS: By the way if Greg KH tags a new longterm kernel, will there be a
> > chance to see the DRM subsystem backported in Wheezy or that's
> > definitely too invasive and we'll stay with 3.4 (I don't have any issue
> > with that, I'm just curious).
> > 
> > 
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 28 Jan 2013 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan McDowell <noodles@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Jan 2013 19:54:03 GMT) Full text and rfc822 format available.

Message #160 received at 687442@bugs.debian.org (full text, mbox):

From: Jonathan McDowell <noodles@earth.li>
To: 687442@bugs.debian.org
Subject: Success with 3.2.0-4.drm-amd64 / nVidia GF106
Date: Mon, 28 Jan 2013 11:30:24 -0800
I'd like to report success with my HP EliteBook 8560w sporting an nVidia
GF106 video card and the 3.2.0-4.drm-amd64 kernel. The stock 3.2.35-2
kernel image results in a black screen once KMS kicks in and I've been
following the linux-image trunk packages from experimental instead. The
3.2.35-3~jcristau.1 boots to a GDM login just fine and has survived
several suspend/resume cycles. I have not yet tried an external monitor
- won't be able to do so until this weekend.

Thanks Julien!

J.

-- 
Every bug you find is the last one.
This .sig brought to you by the letter N and the number 17
Product of the Republic of HuggieTag



Added indication that bug 687442 blocks 690284,690586 Request was from Jonathan McDowell <noodles@earth.li> to control@bugs.debian.org. (Thu, 31 Jan 2013 18:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 03 Feb 2013 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bauer <thomas.bauer.bugs@t-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Feb 2013 18:27:03 GMT) Full text and rfc822 format available.

Message #167 received at 687442@bugs.debian.org (full text, mbox):

From: Thomas Bauer <thomas.bauer.bugs@t-online.de>
To: 687442@bugs.debian.org
Subject: Testing with i3-3225
Date: Sun, 03 Feb 2013 19:22:13 +0100
Dear all,

I tested kernel
3.2.0-4.drm-amd64 #1 SMP Debian 3.2.35-3~jcristau.1 x86_64 GNU/Linux

on a machine with hd4000 graphics
Intel(R) Core(TM) i3-3225 CPU @ 3.30GHz

I experienced no more freezes for one week, and currently no other
troubles. With the original wheezy kernel, the system froze
approximately once per day.

Hope the modified kernel will make it's way into wheezy.

Thanks to all
Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Sun, 03 Feb 2013 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael@kontesti.me>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Feb 2013 20:21:03 GMT) Full text and rfc822 format available.

Message #172 received at 687442@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael@kontesti.me>
To: 687442@bugs.debian.org
Subject: Re: Testing with i3-3225
Date: Sun, 3 Feb 2013 20:10:19 +0000
I having been testing the patched kernel with my lenovo x230 and so far
everything has been fine. Before, I was having freezes with regular kernel 3.2,
but this new kernel 3.2 has not frozen so far. I tried my bamboo wacon tablet
and it still worked well. X, gnome 3, audio, everything works. So far I haven't
had any issues which could be kernel related.

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 7.0 (wheezy)
Release:	7.0
Codename:	wheezy

$ uname -a
Linux gir 3.2.0-4.drm-amd64 #1 SMP Debian 3.2.35-3~jcristau.1 x86_64 GNU/Linux

$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz
stepping	: 9
microcode	: 0x13
cpu MHz		: 1200.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm
constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc
aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm
pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand
lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept
vpid fsgsbase smep erms
bogomips	: 4987.97
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz
stepping	: 9
microcode	: 0x13
cpu MHz		: 1200.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm
constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc
aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm
pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand
lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept
vpid fsgsbase smep erms
bogomips	: 4988.48
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz
stepping	: 9
microcode	: 0x13
cpu MHz		: 1200.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 1
cpu cores	: 2
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm
constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc
aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm
pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand
lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept
vpid fsgsbase smep erms
bogomips	: 4988.49
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz
stepping	: 9
microcode	: 0x13
cpu MHz		: 1200.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 1
cpu cores	: 2
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm
constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc
aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm
pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand
lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept
vpid fsgsbase smep erms
bogomips	: 4988.48
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:


$ sudo lsmod 
Module                  Size  Used by
fuse                   62020  1 
usb_storage            43870  0 
usbhid                 36418  0 
hid                    81328  1 usbhid
wacom                  43248  0 
parport_pc             22364  0 
ppdev                  12763  0 
lp                     17149  0 
parport                31858  3 lp,ppdev,parport_pc
bnep                   17567  2 
rfcomm                 33700  8 
binfmt_misc            12957  1 
uinput                 17440  1 
deflate                12551  0 
zlib_deflate           25638  1 deflate
ctr                    12979  0 
twofish_generic        16569  0 
twofish_x86_64_3way    25167  0 
twofish_x86_64         12541  1 twofish_x86_64_3way
twofish_common         20544  3
twofish_x86_64,twofish_x86_64_3way,twofish_generic
camellia               29068  0 
serpent                29015  0 
blowfish_generic       12464  0 
blowfish_x86_64        21201  0 
blowfish_common        16487  2 blowfish_x86_64,blowfish_generic
cast5                  24829  0 
des_generic            20851  0 
cbc                    12754  0 
xcbc                   12709  0 
rmd160                 16640  0 
sha512_generic         12625  0 
sha256_generic         16797  0 
sha1_ssse3             16983  0 
sha1_generic           12582  1 sha1_ssse3
hmac                   12835  0 
crypto_null            12732  0 
af_key                 31759  0 
nfsd                  216029  2 
nfs                   308187  0 
nfs_acl                12511  2 nfs,nfsd
auth_rpcgss            37143  2 nfs,nfsd
fscache                36739  1 nfs
lockd                  67306  2 nfs,nfsd
sunrpc                173774  6 lockd,auth_rpcgss,nfs_acl,nfs,nfsd
loop                   22641  0 
snd_hda_codec_hdmi     30824  1 
snd_hda_codec_realtek   188858  1 
joydev                 17266  0 
arc4                   12458  2 
coretemp               12898  0 
crc32c_intel           12747  0 
ghash_clmulni_intel    13173  0 
aesni_intel            50667  1 
btusb                  17502  2 
bluetooth             119455  23 btusb,rfcomm,bnep
aes_x86_64             16843  1 aesni_intel
aes_generic            33026  2 aes_x86_64,aesni_intel
cryptd                 14517  2 aesni_intel,ghash_clmulni_intel
snd_hda_intel          26345  2 
snd_hda_codec          78031  3
snd_hda_intel,snd_hda_codec_realtek,snd_hda_codec_hdmi
snd_hwdep              13186  1 snd_hda_codec
snd_pcm                68083  3 snd_hda_codec,snd_hda_intel,snd_hda_codec_hdmi
snd_page_alloc         13003  2 snd_pcm,snd_hda_intel
snd_seq                45126  0 
ac                     12624  0 
snd_seq_device         13176  1 snd_seq
i915                  374171  5 
snd_timer              22917  2 snd_seq,snd_pcm
pcspkr                 12579  0 
iwlwifi               166737  0 
mac80211              192806  1 iwlwifi
drm_kms_helper         31370  1 i915
drm                   183952  6 drm_kms_helper,i915
psmouse                64497  0 
evdev                  17562  21 
thinkpad_acpi          61270  0 
iTCO_wdt               17081  0 
i2c_algo_bit           12841  1 i915
nvram                  13049  1 thinkpad_acpi
serio_raw              12931  0 
i2c_i801               16870  0 
i2c_core               23876  5 i2c_i801,i2c_algo_bit,drm,drm_kms_helper,i915
snd                    52889  14
thinkpad_acpi,snd_timer,snd_seq_device,snd_seq,snd_pcm,snd_hwdep,snd_hda_codec,snd_hda_intel,snd_hda_codec_realtek,snd_hda_codec_hdmi
iTCO_vendor_support    12704  1 iTCO_wdt
cfg80211              137243  2 mac80211,iwlwifi
soundcore              13065  1 snd
battery                13109  0 
rfkill                 19012  6 cfg80211,thinkpad_acpi,bluetooth
power_supply           13475  3 battery,ac,wacom
tpm_tis                17454  0 
tpm                    17862  1 tpm_tis
tpm_bios               12948  1 tpm
wmi                    13243  0 
acpi_cpufreq           12935  1 
mperf                  12453  1 acpi_cpufreq
video                  17683  1 i915
button                 12937  1 i915
processor              28157  1 acpi_cpufreq
ext4                  350601  1 
crc16                  12343  2 ext4,bluetooth
jbd2                   62065  1 ext4
mbcache                13114  1 ext4
sg                     25874  0 
sd_mod                 36136  3 
crc_t10dif             12348  1 sd_mod
ahci                   24997  2 
libahci                22860  1 ahci
libata                140630  2 libahci,ahci
sdhci_pci              17976  0 
sdhci                  27053  1 sdhci_pci
xhci_hcd               73418  0 
mmc_core               68400  2 sdhci,sdhci_pci
ehci_hcd               40215  0 
thermal                17383  0 
thermal_sys            18040  3 thermal,processor,video
scsi_mod              162269  4 libata,sd_mod,sg,usb_storage
usbcore               128681  7 ehci_hcd,xhci_hcd,btusb,wacom,usb_storage,usbhid
e1000e                120822  0 
usb_common             12354  1 usbcore

$ sudo lspci 
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
02:00.0 System peripheral: Ricoh Co Ltd PCIe SDXC/MMC Host Controller (rev 07)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 04 Feb 2013 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan McDowell <noodles@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Feb 2013 19:51:03 GMT) Full text and rfc822 format available.

Message #177 received at 687442@bugs.debian.org (full text, mbox):

From: Jonathan McDowell <noodles@earth.li>
To: 687442@bugs.debian.org
Subject: Re: Success with 3.2.0-4.drm-amd64 / nVidia GF106
Date: Mon, 4 Feb 2013 11:48:28 -0800
On Mon, Jan 28, 2013 at 11:30:24AM -0800, Jonathan McDowell wrote:
> I'd like to report success with my HP EliteBook 8560w sporting an nVidia
> GF106 video card and the 3.2.0-4.drm-amd64 kernel. The stock 3.2.35-2
> kernel image results in a black screen once KMS kicks in and I've been
> following the linux-image trunk packages from experimental instead. The
> 3.2.35-3~jcristau.1 boots to a GDM login just fine and has survived
> several suspend/resume cycles. I have not yet tried an external monitor
> - won't be able to do so until this weekend.

Just to follow up - still looks good. No issue with external monitor
attached via docking station, or a week of several suspend/resumes a
day.

$ uname -a ; uptime
Linux thukpa 3.2.0-4.drm-amd64 #1 SMP Debian 3.2.35-3~jcristau.1 x86_64 GNU/Linux
 11:48:02 up 7 days, 19:02,  8 users,  load average: 0.48, 0.52, 0.90

J.

-- 
                                            xmpp:noodles@earth.li
I don't bite. Well, that's wrong. I do bite.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 04 Feb 2013 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve VanDevender <stevev@hexadecimal.uoregon.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Feb 2013 23:21:03 GMT) Full text and rfc822 format available.

Message #182 received at 687442@bugs.debian.org (full text, mbox):

From: Steve VanDevender <stevev@hexadecimal.uoregon.edu>
To: 687442@bugs.debian.org, 692862-quiet@bugs.debian.org
Subject: Bug#692862: Bug#692234: Processed: severity of 689268 is important
Date: Mon, 4 Feb 2013 15:13:55 -0800
Ben Hutchings writes:
 > We can't support two different kernel versions but we can potentially
 > update the DRM drivers to the versions in Linux 3.4.y.  This is covered
 > by bug #687442 which I've marked as blocking this bug.
 > 
 > Julien Cristau prepared some packages for testing before we make this
 > change.  Here's how you would install them with APT:
 > 
 >         gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --export 310180050905E40C | apt-key add -
 >         echo deb http://people.debian.org/~jcristau/wheezy-drm34/ ./ > /etc/apt/sources.list.d/jcristau-wheezy-drm34.list
 >         apt-get update
 >         apt-get install linux-image-3.2.0-4.drm-amd64  # or -486, or -686-pae
 > 
 > Please test and send your results (good or bad) to
 > 687442@bugs.debian.org

I think we have a winner.

I have been running linux-image-3.2.0-4.drm-amd64 for a week now with no
stability problems.  None of the previous 3.2 kernels were ever likely
to make it that far.

As a brief summary, my experience so far with Linux kernels has been:

hangs:

3.2.23 (3.2.0-3)
3.2.32 (3.2.0-4)
3.2.35 (3.2.0-4)
3.7.1 (!) (experimental)

no hangs:

3.5.5 (experimental)
3.6.8 (experimental)
3.6.9 (experimental)
3.7.3 (experimental)
3.2.35 w/3.4 Intel DRM (3.2.0-4.drm)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Tue, 05 Feb 2013 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Wagner <wagdav@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 05 Feb 2013 21:09:03 GMT) Full text and rfc822 format available.

Message #187 received at 687442@bugs.debian.org (full text, mbox):

From: David Wagner <wagdav@gmail.com>
To: 687442@bugs.debian.org
Cc: 689268@bugs.debian.org
Subject: Success with 3.2.0-4.drm-amd64 / Thinkpad X230
Date: Tue, 5 Feb 2013 22:04:52 +0100
Hello,

3 days without any hangs with (before it would freeze many times a day):
http://people.debian.org/~jcristau/wheezy-drm34/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb

Wheezy
Thinkpad X230
Core i5-3320M (2.60GHz)
Intel HD Graphics 4000

Thanks for the fix!
david



Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 06 Feb 2013 03:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 07 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Garrison <jim@garrison.cc>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Message #194 received at 687442@bugs.debian.org (full text, mbox):

From: Jim Garrison <jim@garrison.cc>
To: 687442@bugs.debian.org
Subject: success with 3.2.0-4.drm-amd64 on a Thinkpad T530
Date: Thu, 07 Feb 2013 02:07:13 -0800
I too had several system freezes each week when running the default
kernel in wheezy.  I upgraded to 3.2.0-4.drm-amd64 over a week ago, and
my machine (a Thinkpad T530 Ivy Bridge with Intel HD Graphics 4000) has
worked flawlessly ever since.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 07 Feb 2013 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Feb 2013 19:15:05 GMT) Full text and rfc822 format available.

Message #199 received at 687442@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 687442@bugs.debian.org, 692234@bugs.debian.org, 689268@bugs.debian.org
Subject: Success with linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
Date: Thu, 07 Feb 2013 20:11:22 +0100
I now tested Julien's kernel
(http://people.debian.org/~jcristau/wheezy-drm34/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb)
with
DRM/KMS subsystem backported from 3.4, thoroughly. For 12 days it ran
absolutely smoothly without any freezes!

I did stress it in many ways, but did not observe any glitches. So this
kernel fixes bug #692234 and merged bugs 689268, ... for me.

My hardware in short form:

Ivy Bridge i5-3570k with
HD4000 graphics (no external cards), display connected to Display-Port
Intel DH77EB MoBo

All standard Wheezy-kernels up to 3.2.35 exhibited regular hard freezes
- sometimes more than once a day with power consumption some 30 watts up.

Juliens kernel for sure is an excellent alternative to using vanilla 3.4
kernel which also does the job. If Julien's fix/patches is ported to
Wheezy's kernel, please drop a short note here, so I can switch back to
standard Wheezy-kernel without beeing scared for my hardware.

Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Thu, 07 Feb 2013 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Feb 2013 19:27:03 GMT) Full text and rfc822 format available.

Message #204 received at 687442@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Ingo <ingo.steiner@gmx.net>, 687442@bugs.debian.org
Cc: 692234@bugs.debian.org, 689268@bugs.debian.org
Subject: Re: Bug#687442: Success with linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
Date: Thu, 07 Feb 2013 20:23:02 +0100
Le jeudi 07 février 2013 à 20:11 +0100, Ingo a écrit :
> I now tested Julien's kernel
> (http://people.debian.org/~jcristau/wheezy-drm34/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb)
> with
> DRM/KMS subsystem backported from 3.4, thoroughly. For 12 days it ran
> absolutely smoothly without any freezes!
> 
> I did stress it in many ways, but did not observe any glitches. So this
> kernel fixes bug #692234 and merged bugs 689268, ... for me.
> 
> My hardware in short form:
> 
> Ivy Bridge i5-3570k with
> HD4000 graphics (no external cards), display connected to Display-Port
> Intel DH77EB MoBo
> 
> All standard Wheezy-kernels up to 3.2.35 exhibited regular hard freezes
> - sometimes more than once a day with power consumption some 30 watts up.
> 
> Juliens kernel for sure is an excellent alternative to using vanilla 3.4
> kernel which also does the job. If Julien's fix/patches is ported to
> Wheezy's kernel, please drop a short note here, so I can switch back to
> standard Wheezy-kernel without beeing scared for my hardware.
> 
> Ingo
> 
> 

Hi,

I don't want to talk on behalf of the kernel team, but the bug is marked
as 'pending' so it should make its way in Wheezy ;-)

Cheers,
Vincent




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 25 Feb 2013 05:09:18 GMT) Full text and rfc822 format available.

Notification sent to Carsten Grohmann <carstengrohmann@gmx.de>:
Bug acknowledged by developer. (Mon, 25 Feb 2013 05:09:18 GMT) Full text and rfc822 format available.

Message #209 received at 687442-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 687442-close@bugs.debian.org
Subject: Bug#687442: fixed in linux 3.2.39-1
Date: Mon, 25 Feb 2013 05:04:55 +0000
Source: linux
Source-Version: 3.2.39-1

We believe that the bug you reported is fixed in the latest version of
linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687442@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 25 Feb 2013 00:36:51 +0000
Source: linux
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-support-3.2.0-4 linux-libc-dev linux-headers-3.2.0-4-all linux-headers-3.2.0-4-all-alpha linux-headers-3.2.0-4-common linux-image-3.2.0-4-alpha-generic linux-headers-3.2.0-4-alpha-generic linux-image-3.2.0-4-alpha-smp linux-headers-3.2.0-4-alpha-smp linux-image-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-all-amd64 kernel-image-3.2.0-4-amd64-di nic-modules-3.2.0-4-amd64-di nic-extra-modules-3.2.0-4-amd64-di nic-wireless-modules-3.2.0-4-amd64-di nic-shared-modules-3.2.0-4-amd64-di serial-modules-3.2.0-4-amd64-di usb-serial-modules-3.2.0-4-amd64-di ppp-modules-3.2.0-4-amd64-di pata-modules-3.2.0-4-amd64-di cdrom-core-modules-3.2.0-4-amd64-di firewire-core-modules-3.2.0-4-amd64-di scsi-core-modules-3.2.0-4-amd64-di scsi-modules-3.2.0-4-amd64-di scsi-common-modules-3.2.0-4-amd64-di scsi-extra-modules-3.2.0-4-amd64-di plip-modules-3.2.0-4-amd64-di floppy-modules-3.2.0-4-amd64-di
 loop-modules-3.2.0-4-amd64-di btrfs-modules-3.2.0-4-amd64-di ext2-modules-3.2.0-4-amd64-di ext3-modules-3.2.0-4-amd64-di ext4-modules-3.2.0-4-amd64-di isofs-modules-3.2.0-4-amd64-di jfs-modules-3.2.0-4-amd64-di ntfs-modules-3.2.0-4-amd64-di reiserfs-modules-3.2.0-4-amd64-di xfs-modules-3.2.0-4-amd64-di fat-modules-3.2.0-4-amd64-di ufs-modules-3.2.0-4-amd64-di qnx4-modules-3.2.0-4-amd64-di md-modules-3.2.0-4-amd64-di multipath-modules-3.2.0-4-amd64-di usb-modules-3.2.0-4-amd64-di usb-storage-modules-3.2.0-4-amd64-di pcmcia-storage-modules-3.2.0-4-amd64-di fb-modules-3.2.0-4-amd64-di input-modules-3.2.0-4-amd64-di event-modules-3.2.0-4-amd64-di mouse-modules-3.2.0-4-amd64-di irda-modules-3.2.0-4-amd64-di parport-modules-3.2.0-4-amd64-di nic-pcmcia-modules-3.2.0-4-amd64-di pcmcia-modules-3.2.0-4-amd64-di nic-usb-modules-3.2.0-4-amd64-di sata-modules-3.2.0-4-amd64-di core-modules-3.2.0-4-amd64-di acpi-modules-3.2.0-4-amd64-di i2c-modules-3.2.0-4-amd64-di
 crc-modules-3.2.0-4-amd64-di crypto-modules-3.2.0-4-amd64-di crypto-dm-modules-3.2.0-4-amd64-di efi-modules-3.2.0-4-amd64-di ata-modules-3.2.0-4-amd64-di mmc-core-modules-3.2.0-4-amd64-di mmc-modules-3.2.0-4-amd64-di nbd-modules-3.2.0-4-amd64-di squashfs-modules-3.2.0-4-amd64-di speakup-modules-3.2.0-4-amd64-di virtio-modules-3.2.0-4-amd64-di uinput-modules-3.2.0-4-amd64-di sound-modules-3.2.0-4-amd64-di zlib-modules-3.2.0-4-amd64-di hyperv-modules-3.2.0-4-amd64-di udf-modules-3.2.0-4-amd64-di fuse-modules-3.2.0-4-amd64-di linux-image-3.2.0-4-amd64 linux-headers-3.2.0-4-amd64 linux-image-3.2.0-4-amd64-dbg xen-linux-system-3.2.0-4-amd64 linux-headers-3.2.0-4-common-rt linux-image-3.2.0-4-rt-amd64 linux-headers-3.2.0-4-rt-amd64 linux-image-3.2.0-4-rt-amd64-dbg linux-headers-3.2.0-4-all-armel kernel-image-3.2.0-4-iop32x-di nic-modules-3.2.0-4-iop32x-di nic-shared-modules-3.2.0-4-iop32x-di usb-serial-modules-3.2.0-4-iop32x-di ppp-modules-3.2.0-4-iop32x-di
 pata-modules-3.2.0-4-iop32x-di cdrom-core-modules-3.2.0-4-iop32x-di scsi-core-modules-3.2.0-4-iop32x-di loop-modules-3.2.0-4-iop32x-di ipv6-modules-3.2.0-4-iop32x-di btrfs-modules-3.2.0-4-iop32x-di ext2-modules-3.2.0-4-iop32x-di ext3-modules-3.2.0-4-iop32x-di ext4-modules-3.2.0-4-iop32x-di isofs-modules-3.2.0-4-iop32x-di jffs2-modules-3.2.0-4-iop32x-di jfs-modules-3.2.0-4-iop32x-di reiserfs-modules-3.2.0-4-iop32x-di fat-modules-3.2.0-4-iop32x-di md-modules-3.2.0-4-iop32x-di multipath-modules-3.2.0-4-iop32x-di usb-modules-3.2.0-4-iop32x-di usb-storage-modules-3.2.0-4-iop32x-di event-modules-3.2.0-4-iop32x-di nic-usb-modules-3.2.0-4-iop32x-di sata-modules-3.2.0-4-iop32x-di core-modules-3.2.0-4-iop32x-di crc-modules-3.2.0-4-iop32x-di crypto-modules-3.2.0-4-iop32x-di crypto-dm-modules-3.2.0-4-iop32x-di ata-modules-3.2.0-4-iop32x-di nbd-modules-3.2.0-4-iop32x-di squashfs-modules-3.2.0-4-iop32x-di zlib-modules-3.2.0-4-iop32x-di udf-modules-3.2.0-4-iop32x-di
 fuse-modules-3.2.0-4-iop32x-di kernel-image-3.2.0-4-kirkwood-di nic-modules-3.2.0-4-kirkwood-di nic-shared-modules-3.2.0-4-kirkwood-di usb-serial-modules-3.2.0-4-kirkwood-di ppp-modules-3.2.0-4-kirkwood-di cdrom-core-modules-3.2.0-4-kirkwood-di scsi-core-modules-3.2.0-4-kirkwood-di loop-modules-3.2.0-4-kirkwood-di ipv6-modules-3.2.0-4-kirkwood-di btrfs-modules-3.2.0-4-kirkwood-di ext2-modules-3.2.0-4-kirkwood-di ext3-modules-3.2.0-4-kirkwood-di ext4-modules-3.2.0-4-kirkwood-di isofs-modules-3.2.0-4-kirkwood-di jfs-modules-3.2.0-4-kirkwood-di reiserfs-modules-3.2.0-4-kirkwood-di fat-modules-3.2.0-4-kirkwood-di minix-modules-3.2.0-4-kirkwood-di md-modules-3.2.0-4-kirkwood-di multipath-modules-3.2.0-4-kirkwood-di usb-modules-3.2.0-4-kirkwood-di usb-storage-modules-3.2.0-4-kirkwood-di fb-modules-3.2.0-4-kirkwood-di input-modules-3.2.0-4-kirkwood-di event-modules-3.2.0-4-kirkwood-di mouse-modules-3.2.0-4-kirkwood-di nic-usb-modules-3.2.0-4-kirkwood-di
 sata-modules-3.2.0-4-kirkwood-di core-modules-3.2.0-4-kirkwood-di crc-modules-3.2.0-4-kirkwood-di crypto-modules-3.2.0-4-kirkwood-di crypto-dm-modules-3.2.0-4-kirkwood-di mmc-modules-3.2.0-4-kirkwood-di nbd-modules-3.2.0-4-kirkwood-di squashfs-modules-3.2.0-4-kirkwood-di uinput-modules-3.2.0-4-kirkwood-di leds-modules-3.2.0-4-kirkwood-di udf-modules-3.2.0-4-kirkwood-di fuse-modules-3.2.0-4-kirkwood-di kernel-image-3.2.0-4-orion5x-di nic-modules-3.2.0-4-orion5x-di nic-shared-modules-3.2.0-4-orion5x-di usb-serial-modules-3.2.0-4-orion5x-di ppp-modules-3.2.0-4-orion5x-di cdrom-core-modules-3.2.0-4-orion5x-di scsi-core-modules-3.2.0-4-orion5x-di loop-modules-3.2.0-4-orion5x-di ipv6-modules-3.2.0-4-orion5x-di btrfs-modules-3.2.0-4-orion5x-di ext2-modules-3.2.0-4-orion5x-di ext3-modules-3.2.0-4-orion5x-di ext4-modules-3.2.0-4-orion5x-di isofs-modules-3.2.0-4-orion5x-di jffs2-modules-3.2.0-4-orion5x-di jfs-modules-3.2.0-4-orion5x-di reiserfs-modules-3.2.0-4-orion5x-di
 fat-modules-3.2.0-4-orion5x-di minix-modules-3.2.0-4-orion5x-di md-modules-3.2.0-4-orion5x-di multipath-modules-3.2.0-4-orion5x-di usb-modules-3.2.0-4-orion5x-di usb-storage-modules-3.2.0-4-orion5x-di event-modules-3.2.0-4-orion5x-di nic-usb-modules-3.2.0-4-orion5x-di sata-modules-3.2.0-4-orion5x-di core-modules-3.2.0-4-orion5x-di crc-modules-3.2.0-4-orion5x-di crypto-modules-3.2.0-4-orion5x-di crypto-dm-modules-3.2.0-4-orion5x-di nbd-modules-3.2.0-4-orion5x-di squashfs-modules-3.2.0-4-orion5x-di zlib-modules-3.2.0-4-orion5x-di udf-modules-3.2.0-4-orion5x-di fuse-modules-3.2.0-4-orion5x-di kernel-image-3.2.0-4-versatile-di nic-modules-3.2.0-4-versatile-di nic-shared-modules-3.2.0-4-versatile-di usb-serial-modules-3.2.0-4-versatile-di ppp-modules-3.2.0-4-versatile-di cdrom-core-modules-3.2.0-4-versatile-di scsi-core-modules-3.2.0-4-versatile-di scsi-common-modules-3.2.0-4-versatile-di loop-modules-3.2.0-4-versatile-di ipv6-modules-3.2.0-4-versatile-di
 btrfs-modules-3.2.0-4-versatile-di ext2-modules-3.2.0-4-versatile-di ext3-modules-3.2.0-4-versatile-di ext4-modules-3.2.0-4-versatile-di isofs-modules-3.2.0-4-versatile-di reiserfs-modules-3.2.0-4-versatile-di fat-modules-3.2.0-4-versatile-di md-modules-3.2.0-4-versatile-di multipath-modules-3.2.0-4-versatile-di usb-modules-3.2.0-4-versatile-di usb-storage-modules-3.2.0-4-versatile-di nic-usb-modules-3.2.0-4-versatile-di sata-modules-3.2.0-4-versatile-di core-modules-3.2.0-4-versatile-di crc-modules-3.2.0-4-versatile-di crypto-modules-3.2.0-4-versatile-di crypto-dm-modules-3.2.0-4-versatile-di nbd-modules-3.2.0-4-versatile-di squashfs-modules-3.2.0-4-versatile-di virtio-modules-3.2.0-4-versatile-di zlib-modules-3.2.0-4-versatile-di udf-modules-3.2.0-4-versatile-di fuse-modules-3.2.0-4-versatile-di linux-image-3.2.0-4-iop32x linux-headers-3.2.0-4-iop32x linux-image-3.2.0-4-ixp4xx linux-headers-3.2.0-4-ixp4xx linux-image-3.2.0-4-kirkwood linux-headers-3.2.0-4-kirkwood
 linux-image-3.2.0-4-mv78xx0 linux-headers-3.2.0-4-mv78xx0 linux-image-3.2.0-4-orion5x linux-headers-3.2.0-4-orion5x linux-image-3.2.0-4-versatile linux-headers-3.2.0-4-versatile linux-headers-3.2.0-4-all-armhf kernel-image-3.2.0-4-mx5-di nic-wireless-modules-3.2.0-4-mx5-di nic-shared-modules-3.2.0-4-mx5-di pata-modules-3.2.0-4-mx5-di scsi-core-modules-3.2.0-4-mx5-di loop-modules-3.2.0-4-mx5-di ipv6-modules-3.2.0-4-mx5-di btrfs-modules-3.2.0-4-mx5-di ext2-modules-3.2.0-4-mx5-di ext3-modules-3.2.0-4-mx5-di ext4-modules-3.2.0-4-mx5-di isofs-modules-3.2.0-4-mx5-di jfs-modules-3.2.0-4-mx5-di reiserfs-modules-3.2.0-4-mx5-di fat-modules-3.2.0-4-mx5-di minix-modules-3.2.0-4-mx5-di md-modules-3.2.0-4-mx5-di multipath-modules-3.2.0-4-mx5-di usb-storage-modules-3.2.0-4-mx5-di input-modules-3.2.0-4-mx5-di nic-usb-modules-3.2.0-4-mx5-di sata-modules-3.2.0-4-mx5-di core-modules-3.2.0-4-mx5-di crc-modules-3.2.0-4-mx5-di crypto-modules-3.2.0-4-mx5-di
 crypto-dm-modules-3.2.0-4-mx5-di ata-modules-3.2.0-4-mx5-di mmc-modules-3.2.0-4-mx5-di nbd-modules-3.2.0-4-mx5-di squashfs-modules-3.2.0-4-mx5-di uinput-modules-3.2.0-4-mx5-di udf-modules-3.2.0-4-mx5-di fuse-modules-3.2.0-4-mx5-di mtd-modules-3.2.0-4-mx5-di kernel-image-3.2.0-4-vexpress-di nic-modules-3.2.0-4-vexpress-di nic-wireless-modules-3.2.0-4-vexpress-di nic-shared-modules-3.2.0-4-vexpress-di scsi-core-modules-3.2.0-4-vexpress-di loop-modules-3.2.0-4-vexpress-di ipv6-modules-3.2.0-4-vexpress-di btrfs-modules-3.2.0-4-vexpress-di ext2-modules-3.2.0-4-vexpress-di ext3-modules-3.2.0-4-vexpress-di ext4-modules-3.2.0-4-vexpress-di isofs-modules-3.2.0-4-vexpress-di jfs-modules-3.2.0-4-vexpress-di fat-modules-3.2.0-4-vexpress-di md-modules-3.2.0-4-vexpress-di multipath-modules-3.2.0-4-vexpress-di usb-modules-3.2.0-4-vexpress-di usb-storage-modules-3.2.0-4-vexpress-di input-modules-3.2.0-4-vexpress-di nic-usb-modules-3.2.0-4-vexpress-di
 core-modules-3.2.0-4-vexpress-di crc-modules-3.2.0-4-vexpress-di crypto-modules-3.2.0-4-vexpress-di crypto-dm-modules-3.2.0-4-vexpress-di mmc-modules-3.2.0-4-vexpress-di nbd-modules-3.2.0-4-vexpress-di squashfs-modules-3.2.0-4-vexpress-di uinput-modules-3.2.0-4-vexpress-di udf-modules-3.2.0-4-vexpress-di fuse-modules-3.2.0-4-vexpress-di linux-image-3.2.0-4-mx5 linux-headers-3.2.0-4-mx5 linux-image-3.2.0-4-omap linux-headers-3.2.0-4-omap linux-image-3.2.0-4-vexpress linux-headers-3.2.0-4-vexpress linux-headers-3.2.0-4-all-hppa kernel-image-3.2.0-4-parisc-di nic-modules-3.2.0-4-parisc-di ppp-modules-3.2.0-4-parisc-di pata-modules-3.2.0-4-parisc-di cdrom-core-modules-3.2.0-4-parisc-di scsi-core-modules-3.2.0-4-parisc-di scsi-modules-3.2.0-4-parisc-di loop-modules-3.2.0-4-parisc-di ipv6-modules-3.2.0-4-parisc-di btrfs-modules-3.2.0-4-parisc-di ext3-modules-3.2.0-4-parisc-di ext4-modules-3.2.0-4-parisc-di fat-modules-3.2.0-4-parisc-di md-modules-3.2.0-4-parisc-di
 multipath-modules-3.2.0-4-parisc-di usb-modules-3.2.0-4-parisc-di usb-storage-modules-3.2.0-4-parisc-di input-modules-3.2.0-4-parisc-di crypto-modules-3.2.0-4-parisc-di crypto-dm-modules-3.2.0-4-parisc-di nbd-modules-3.2.0-4-parisc-di zlib-modules-3.2.0-4-parisc-di fuse-modules-3.2.0-4-parisc-di kernel-image-3.2.0-4-parisc64-di nic-modules-3.2.0-4-parisc64-di ppp-modules-3.2.0-4-parisc64-di pata-modules-3.2.0-4-parisc64-di cdrom-core-modules-3.2.0-4-parisc64-di scsi-core-modules-3.2.0-4-parisc64-di scsi-modules-3.2.0-4-parisc64-di loop-modules-3.2.0-4-parisc64-di ipv6-modules-3.2.0-4-parisc64-di btrfs-modules-3.2.0-4-parisc64-di ext3-modules-3.2.0-4-parisc64-di ext4-modules-3.2.0-4-parisc64-di fat-modules-3.2.0-4-parisc64-di md-modules-3.2.0-4-parisc64-di multipath-modules-3.2.0-4-parisc64-di usb-modules-3.2.0-4-parisc64-di usb-storage-modules-3.2.0-4-parisc64-di input-modules-3.2.0-4-parisc64-di crypto-modules-3.2.0-4-parisc64-di
 crypto-dm-modules-3.2.0-4-parisc64-di nbd-modules-3.2.0-4-parisc64-di zlib-modules-3.2.0-4-parisc64-di fuse-modules-3.2.0-4-parisc64-di linux-image-3.2.0-4-parisc linux-headers-3.2.0-4-parisc linux-image-3.2.0-4-parisc-smp linux-headers-3.2.0-4-parisc-smp linux-image-3.2.0-4-parisc64 linux-headers-3.2.0-4-parisc64 linux-image-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-all-i386 kernel-image-3.2.0-4-486-di nic-modules-3.2.0-4-486-di nic-extra-modules-3.2.0-4-486-di nic-wireless-modules-3.2.0-4-486-di nic-shared-modules-3.2.0-4-486-di serial-modules-3.2.0-4-486-di usb-serial-modules-3.2.0-4-486-di ppp-modules-3.2.0-4-486-di pata-modules-3.2.0-4-486-di cdrom-core-modules-3.2.0-4-486-di firewire-core-modules-3.2.0-4-486-di scsi-core-modules-3.2.0-4-486-di scsi-modules-3.2.0-4-486-di scsi-common-modules-3.2.0-4-486-di scsi-extra-modules-3.2.0-4-486-di plip-modules-3.2.0-4-486-di floppy-modules-3.2.0-4-486-di loop-modules-3.2.0-4-486-di
 btrfs-modules-3.2.0-4-486-di ext2-modules-3.2.0-4-486-di ext3-modules-3.2.0-4-486-di ext4-modules-3.2.0-4-486-di isofs-modules-3.2.0-4-486-di jfs-modules-3.2.0-4-486-di ntfs-modules-3.2.0-4-486-di reiserfs-modules-3.2.0-4-486-di xfs-modules-3.2.0-4-486-di fat-modules-3.2.0-4-486-di ufs-modules-3.2.0-4-486-di qnx4-modules-3.2.0-4-486-di md-modules-3.2.0-4-486-di multipath-modules-3.2.0-4-486-di usb-modules-3.2.0-4-486-di usb-storage-modules-3.2.0-4-486-di pcmcia-storage-modules-3.2.0-4-486-di fb-modules-3.2.0-4-486-di input-modules-3.2.0-4-486-di event-modules-3.2.0-4-486-di mouse-modules-3.2.0-4-486-di irda-modules-3.2.0-4-486-di parport-modules-3.2.0-4-486-di nic-pcmcia-modules-3.2.0-4-486-di pcmcia-modules-3.2.0-4-486-di nic-usb-modules-3.2.0-4-486-di sata-modules-3.2.0-4-486-di core-modules-3.2.0-4-486-di acpi-modules-3.2.0-4-486-di i2c-modules-3.2.0-4-486-di crc-modules-3.2.0-4-486-di crypto-modules-3.2.0-4-486-di crypto-dm-modules-3.2.0-4-486-di
 efi-modules-3.2.0-4-486-di ata-modules-3.2.0-4-486-di mmc-core-modules-3.2.0-4-486-di mmc-modules-3.2.0-4-486-di nbd-modules-3.2.0-4-486-di squashfs-modules-3.2.0-4-486-di speakup-modules-3.2.0-4-486-di virtio-modules-3.2.0-4-486-di uinput-modules-3.2.0-4-486-di sound-modules-3.2.0-4-486-di zlib-modules-3.2.0-4-486-di hyperv-modules-3.2.0-4-486-di udf-modules-3.2.0-4-486-di fuse-modules-3.2.0-4-486-di kernel-image-3.2.0-4-686-pae-di nic-modules-3.2.0-4-686-pae-di nic-extra-modules-3.2.0-4-686-pae-di nic-wireless-modules-3.2.0-4-686-pae-di nic-shared-modules-3.2.0-4-686-pae-di serial-modules-3.2.0-4-686-pae-di usb-serial-modules-3.2.0-4-686-pae-di ppp-modules-3.2.0-4-686-pae-di pata-modules-3.2.0-4-686-pae-di cdrom-core-modules-3.2.0-4-686-pae-di firewire-core-modules-3.2.0-4-686-pae-di scsi-core-modules-3.2.0-4-686-pae-di scsi-modules-3.2.0-4-686-pae-di scsi-common-modules-3.2.0-4-686-pae-di scsi-extra-modules-3.2.0-4-686-pae-di plip-modules-3.2.0-4-686-pae-di
 floppy-modules-3.2.0-4-686-pae-di loop-modules-3.2.0-4-686-pae-di btrfs-modules-3.2.0-4-686-pae-di ext2-modules-3.2.0-4-686-pae-di ext3-modules-3.2.0-4-686-pae-di ext4-modules-3.2.0-4-686-pae-di isofs-modules-3.2.0-4-686-pae-di jfs-modules-3.2.0-4-686-pae-di ntfs-modules-3.2.0-4-686-pae-di reiserfs-modules-3.2.0-4-686-pae-di xfs-modules-3.2.0-4-686-pae-di fat-modules-3.2.0-4-686-pae-di ufs-modules-3.2.0-4-686-pae-di qnx4-modules-3.2.0-4-686-pae-di md-modules-3.2.0-4-686-pae-di multipath-modules-3.2.0-4-686-pae-di usb-modules-3.2.0-4-686-pae-di usb-storage-modules-3.2.0-4-686-pae-di pcmcia-storage-modules-3.2.0-4-686-pae-di fb-modules-3.2.0-4-686-pae-di input-modules-3.2.0-4-686-pae-di event-modules-3.2.0-4-686-pae-di mouse-modules-3.2.0-4-686-pae-di irda-modules-3.2.0-4-686-pae-di parport-modules-3.2.0-4-686-pae-di nic-pcmcia-modules-3.2.0-4-686-pae-di pcmcia-modules-3.2.0-4-686-pae-di nic-usb-modules-3.2.0-4-686-pae-di sata-modules-3.2.0-4-686-pae-di
 core-modules-3.2.0-4-686-pae-di acpi-modules-3.2.0-4-686-pae-di i2c-modules-3.2.0-4-686-pae-di crc-modules-3.2.0-4-686-pae-di crypto-modules-3.2.0-4-686-pae-di crypto-dm-modules-3.2.0-4-686-pae-di efi-modules-3.2.0-4-686-pae-di ata-modules-3.2.0-4-686-pae-di mmc-core-modules-3.2.0-4-686-pae-di mmc-modules-3.2.0-4-686-pae-di nbd-modules-3.2.0-4-686-pae-di squashfs-modules-3.2.0-4-686-pae-di speakup-modules-3.2.0-4-686-pae-di virtio-modules-3.2.0-4-686-pae-di uinput-modules-3.2.0-4-686-pae-di sound-modules-3.2.0-4-686-pae-di zlib-modules-3.2.0-4-686-pae-di hyperv-modules-3.2.0-4-686-pae-di udf-modules-3.2.0-4-686-pae-di fuse-modules-3.2.0-4-686-pae-di linux-image-3.2.0-4-486 linux-headers-3.2.0-4-486 linux-image-3.2.0-4-686-pae linux-headers-3.2.0-4-686-pae linux-image-3.2.0-4-686-pae-dbg xen-linux-system-3.2.0-4-686-pae linux-image-3.2.0-4-rt-686-pae linux-headers-3.2.0-4-rt-686-pae linux-image-3.2.0-4-rt-686-pae-dbg linux-headers-3.2.0-4-all-ia64
 kernel-image-3.2.0-4-itanium-di nic-modules-3.2.0-4-itanium-di nic-shared-modules-3.2.0-4-itanium-di serial-modules-3.2.0-4-itanium-di ppp-modules-3.2.0-4-itanium-di ide-modules-3.2.0-4-itanium-di pata-modules-3.2.0-4-itanium-di ide-core-modules-3.2.0-4-itanium-di cdrom-core-modules-3.2.0-4-itanium-di firewire-core-modules-3.2.0-4-itanium-di scsi-core-modules-3.2.0-4-itanium-di scsi-modules-3.2.0-4-itanium-di plip-modules-3.2.0-4-itanium-di loop-modules-3.2.0-4-itanium-di btrfs-modules-3.2.0-4-itanium-di ext2-modules-3.2.0-4-itanium-di ext3-modules-3.2.0-4-itanium-di ext4-modules-3.2.0-4-itanium-di isofs-modules-3.2.0-4-itanium-di jfs-modules-3.2.0-4-itanium-di ntfs-modules-3.2.0-4-itanium-di reiserfs-modules-3.2.0-4-itanium-di xfs-modules-3.2.0-4-itanium-di fat-modules-3.2.0-4-itanium-di ufs-modules-3.2.0-4-itanium-di md-modules-3.2.0-4-itanium-di multipath-modules-3.2.0-4-itanium-di usb-modules-3.2.0-4-itanium-di usb-storage-modules-3.2.0-4-itanium-di
 fb-modules-3.2.0-4-itanium-di input-modules-3.2.0-4-itanium-di event-modules-3.2.0-4-itanium-di mouse-modules-3.2.0-4-itanium-di irda-modules-3.2.0-4-itanium-di parport-modules-3.2.0-4-itanium-di pcmcia-modules-3.2.0-4-itanium-di nic-usb-modules-3.2.0-4-itanium-di sata-modules-3.2.0-4-itanium-di core-modules-3.2.0-4-itanium-di crc-modules-3.2.0-4-itanium-di crypto-modules-3.2.0-4-itanium-di crypto-dm-modules-3.2.0-4-itanium-di efi-modules-3.2.0-4-itanium-di ata-modules-3.2.0-4-itanium-di nbd-modules-3.2.0-4-itanium-di squashfs-modules-3.2.0-4-itanium-di uinput-modules-3.2.0-4-itanium-di zlib-modules-3.2.0-4-itanium-di udf-modules-3.2.0-4-itanium-di fuse-modules-3.2.0-4-itanium-di sn-modules-3.2.0-4-itanium-di linux-image-3.2.0-4-itanium linux-headers-3.2.0-4-itanium linux-image-3.2.0-4-mckinley linux-headers-3.2.0-4-mckinley linux-headers-3.2.0-4-all-m68k kernel-image-3.2.0-4-amiga-di nic-shared-modules-3.2.0-4-amiga-di ppp-modules-3.2.0-4-amiga-di
 cdrom-core-modules-3.2.0-4-amiga-di scsi-modules-3.2.0-4-amiga-di ipv6-modules-3.2.0-4-amiga-di btrfs-modules-3.2.0-4-amiga-di isofs-modules-3.2.0-4-amiga-di jfs-modules-3.2.0-4-amiga-di reiserfs-modules-3.2.0-4-amiga-di fat-modules-3.2.0-4-amiga-di md-modules-3.2.0-4-amiga-di crypto-modules-3.2.0-4-amiga-di nbd-modules-3.2.0-4-amiga-di squashfs-modules-3.2.0-4-amiga-di zlib-modules-3.2.0-4-amiga-di udf-modules-3.2.0-4-amiga-di fuse-modules-3.2.0-4-amiga-di kernel-image-3.2.0-4-atari-di nic-shared-modules-3.2.0-4-atari-di ppp-modules-3.2.0-4-atari-di cdrom-core-modules-3.2.0-4-atari-di scsi-modules-3.2.0-4-atari-di ipv6-modules-3.2.0-4-atari-di btrfs-modules-3.2.0-4-atari-di isofs-modules-3.2.0-4-atari-di jfs-modules-3.2.0-4-atari-di reiserfs-modules-3.2.0-4-atari-di fat-modules-3.2.0-4-atari-di md-modules-3.2.0-4-atari-di crypto-modules-3.2.0-4-atari-di nbd-modules-3.2.0-4-atari-di squashfs-modules-3.2.0-4-atari-di zlib-modules-3.2.0-4-atari-di
 udf-modules-3.2.0-4-atari-di fuse-modules-3.2.0-4-atari-di kernel-image-3.2.0-4-mac-di nic-shared-modules-3.2.0-4-mac-di ppp-modules-3.2.0-4-mac-di cdrom-core-modules-3.2.0-4-mac-di scsi-modules-3.2.0-4-mac-di ipv6-modules-3.2.0-4-mac-di btrfs-modules-3.2.0-4-mac-di isofs-modules-3.2.0-4-mac-di jfs-modules-3.2.0-4-mac-di reiserfs-modules-3.2.0-4-mac-di fat-modules-3.2.0-4-mac-di md-modules-3.2.0-4-mac-di crypto-modules-3.2.0-4-mac-di nbd-modules-3.2.0-4-mac-di squashfs-modules-3.2.0-4-mac-di zlib-modules-3.2.0-4-mac-di udf-modules-3.2.0-4-mac-di fuse-modules-3.2.0-4-mac-di linux-image-3.2.0-4-amiga linux-headers-3.2.0-4-amiga linux-image-3.2.0-4-atari linux-headers-3.2.0-4-atari linux-image-3.2.0-4-bvme6000 linux-headers-3.2.0-4-bvme6000 linux-image-3.2.0-4-mac linux-headers-3.2.0-4-mac linux-image-3.2.0-4-mvme147 linux-headers-3.2.0-4-mvme147 linux-image-3.2.0-4-mvme16x linux-headers-3.2.0-4-mvme16x linux-headers-3.2.0-4-all-mips
 kernel-image-3.2.0-4-sb1-bcm91250a-di nic-shared-modules-3.2.0-4-sb1-bcm91250a-di ppp-modules-3.2.0-4-sb1-bcm91250a-di cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-modules-3.2.0-4-sb1-bcm91250a-di scsi-common-modules-3.2.0-4-sb1-bcm91250a-di loop-modules-3.2.0-4-sb1-bcm91250a-di ipv6-modules-3.2.0-4-sb1-bcm91250a-di btrfs-modules-3.2.0-4-sb1-bcm91250a-di isofs-modules-3.2.0-4-sb1-bcm91250a-di jfs-modules-3.2.0-4-sb1-bcm91250a-di reiserfs-modules-3.2.0-4-sb1-bcm91250a-di xfs-modules-3.2.0-4-sb1-bcm91250a-di fat-modules-3.2.0-4-sb1-bcm91250a-di md-modules-3.2.0-4-sb1-bcm91250a-di multipath-modules-3.2.0-4-sb1-bcm91250a-di usb-modules-3.2.0-4-sb1-bcm91250a-di usb-storage-modules-3.2.0-4-sb1-bcm91250a-di fb-modules-3.2.0-4-sb1-bcm91250a-di input-modules-3.2.0-4-sb1-bcm91250a-di sata-modules-3.2.0-4-sb1-bcm91250a-di crypto-modules-3.2.0-4-sb1-bcm91250a-di crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di
 nbd-modules-3.2.0-4-sb1-bcm91250a-di squashfs-modules-3.2.0-4-sb1-bcm91250a-di rtc-modules-3.2.0-4-sb1-bcm91250a-di zlib-modules-3.2.0-4-sb1-bcm91250a-di udf-modules-3.2.0-4-sb1-bcm91250a-di fuse-modules-3.2.0-4-sb1-bcm91250a-di kernel-image-3.2.0-4-r4k-ip22-di nic-shared-modules-3.2.0-4-r4k-ip22-di loop-modules-3.2.0-4-r4k-ip22-di ipv6-modules-3.2.0-4-r4k-ip22-di btrfs-modules-3.2.0-4-r4k-ip22-di isofs-modules-3.2.0-4-r4k-ip22-di jfs-modules-3.2.0-4-r4k-ip22-di reiserfs-modules-3.2.0-4-r4k-ip22-di xfs-modules-3.2.0-4-r4k-ip22-di md-modules-3.2.0-4-r4k-ip22-di multipath-modules-3.2.0-4-r4k-ip22-di crypto-modules-3.2.0-4-r4k-ip22-di crypto-dm-modules-3.2.0-4-r4k-ip22-di nbd-modules-3.2.0-4-r4k-ip22-di squashfs-modules-3.2.0-4-r4k-ip22-di zlib-modules-3.2.0-4-r4k-ip22-di udf-modules-3.2.0-4-r4k-ip22-di fuse-modules-3.2.0-4-r4k-ip22-di kernel-image-3.2.0-4-r5k-ip32-di nic-shared-modules-3.2.0-4-r5k-ip32-di loop-modules-3.2.0-4-r5k-ip32-di
 ipv6-modules-3.2.0-4-r5k-ip32-di btrfs-modules-3.2.0-4-r5k-ip32-di isofs-modules-3.2.0-4-r5k-ip32-di jfs-modules-3.2.0-4-r5k-ip32-di reiserfs-modules-3.2.0-4-r5k-ip32-di xfs-modules-3.2.0-4-r5k-ip32-di md-modules-3.2.0-4-r5k-ip32-di multipath-modules-3.2.0-4-r5k-ip32-di crypto-modules-3.2.0-4-r5k-ip32-di crypto-dm-modules-3.2.0-4-r5k-ip32-di nbd-modules-3.2.0-4-r5k-ip32-di squashfs-modules-3.2.0-4-r5k-ip32-di zlib-modules-3.2.0-4-r5k-ip32-di udf-modules-3.2.0-4-r5k-ip32-di fuse-modules-3.2.0-4-r5k-ip32-di kernel-image-3.2.0-4-4kc-malta-di ppp-modules-3.2.0-4-4kc-malta-di cdrom-core-modules-3.2.0-4-4kc-malta-di loop-modules-3.2.0-4-4kc-malta-di ipv6-modules-3.2.0-4-4kc-malta-di btrfs-modules-3.2.0-4-4kc-malta-di isofs-modules-3.2.0-4-4kc-malta-di jfs-modules-3.2.0-4-4kc-malta-di reiserfs-modules-3.2.0-4-4kc-malta-di xfs-modules-3.2.0-4-4kc-malta-di fat-modules-3.2.0-4-4kc-malta-di md-modules-3.2.0-4-4kc-malta-di multipath-modules-3.2.0-4-4kc-malta-di
 usb-modules-3.2.0-4-4kc-malta-di usb-storage-modules-3.2.0-4-4kc-malta-di input-modules-3.2.0-4-4kc-malta-di sata-modules-3.2.0-4-4kc-malta-di crypto-modules-3.2.0-4-4kc-malta-di crypto-dm-modules-3.2.0-4-4kc-malta-di nbd-modules-3.2.0-4-4kc-malta-di squashfs-modules-3.2.0-4-4kc-malta-di virtio-modules-3.2.0-4-4kc-malta-di zlib-modules-3.2.0-4-4kc-malta-di udf-modules-3.2.0-4-4kc-malta-di fuse-modules-3.2.0-4-4kc-malta-di linux-image-3.2.0-4-r4k-ip22 linux-headers-3.2.0-4-r4k-ip22 linux-image-3.2.0-4-r5k-ip32 linux-headers-3.2.0-4-r5k-ip32 linux-image-3.2.0-4-sb1-bcm91250a linux-headers-3.2.0-4-sb1-bcm91250a linux-image-3.2.0-4-sb1a-bcm91480b linux-headers-3.2.0-4-sb1a-bcm91480b linux-image-3.2.0-4-4kc-malta linux-headers-3.2.0-4-4kc-malta linux-image-3.2.0-4-5kc-malta linux-headers-3.2.0-4-5kc-malta linux-image-3.2.0-4-octeon linux-headers-3.2.0-4-octeon linux-headers-3.2.0-4-all-mipsel kernel-image-3.2.0-4-r5k-cobalt-di nic-shared-modules-3.2.0-4-r5k-cobalt-di
 ppp-modules-3.2.0-4-r5k-cobalt-di loop-modules-3.2.0-4-r5k-cobalt-di ipv6-modules-3.2.0-4-r5k-cobalt-di btrfs-modules-3.2.0-4-r5k-cobalt-di jfs-modules-3.2.0-4-r5k-cobalt-di reiserfs-modules-3.2.0-4-r5k-cobalt-di xfs-modules-3.2.0-4-r5k-cobalt-di fat-modules-3.2.0-4-r5k-cobalt-di nfs-modules-3.2.0-4-r5k-cobalt-di md-modules-3.2.0-4-r5k-cobalt-di multipath-modules-3.2.0-4-r5k-cobalt-di crypto-modules-3.2.0-4-r5k-cobalt-di crypto-dm-modules-3.2.0-4-r5k-cobalt-di nbd-modules-3.2.0-4-r5k-cobalt-di squashfs-modules-3.2.0-4-r5k-cobalt-di zlib-modules-3.2.0-4-r5k-cobalt-di fuse-modules-3.2.0-4-r5k-cobalt-di kernel-image-3.2.0-4-loongson-2f-di nic-modules-3.2.0-4-loongson-2f-di nic-shared-modules-3.2.0-4-loongson-2f-di ppp-modules-3.2.0-4-loongson-2f-di cdrom-core-modules-3.2.0-4-loongson-2f-di loop-modules-3.2.0-4-loongson-2f-di ipv6-modules-3.2.0-4-loongson-2f-di btrfs-modules-3.2.0-4-loongson-2f-di isofs-modules-3.2.0-4-loongson-2f-di jfs-modules-3.2.0-4-loongson-2f-di
 reiserfs-modules-3.2.0-4-loongson-2f-di xfs-modules-3.2.0-4-loongson-2f-di fat-modules-3.2.0-4-loongson-2f-di md-modules-3.2.0-4-loongson-2f-di multipath-modules-3.2.0-4-loongson-2f-di usb-modules-3.2.0-4-loongson-2f-di usb-storage-modules-3.2.0-4-loongson-2f-di input-modules-3.2.0-4-loongson-2f-di nic-usb-modules-3.2.0-4-loongson-2f-di sata-modules-3.2.0-4-loongson-2f-di crypto-modules-3.2.0-4-loongson-2f-di crypto-dm-modules-3.2.0-4-loongson-2f-di nbd-modules-3.2.0-4-loongson-2f-di squashfs-modules-3.2.0-4-loongson-2f-di virtio-modules-3.2.0-4-loongson-2f-di zlib-modules-3.2.0-4-loongson-2f-di udf-modules-3.2.0-4-loongson-2f-di fuse-modules-3.2.0-4-loongson-2f-di linux-image-3.2.0-4-r5k-cobalt linux-headers-3.2.0-4-r5k-cobalt linux-image-3.2.0-4-loongson-2f linux-headers-3.2.0-4-loongson-2f linux-headers-3.2.0-4-all-powerpc kernel-image-3.2.0-4-powerpc-di nic-modules-3.2.0-4-powerpc-di nic-extra-modules-3.2.0-4-powerpc-di nic-shared-modules-3.2.0-4-powerpc-di
 serial-modules-3.2.0-4-powerpc-di usb-serial-modules-3.2.0-4-powerpc-di ppp-modules-3.2.0-4-powerpc-di pata-modules-3.2.0-4-powerpc-di cdrom-core-modules-3.2.0-4-powerpc-di firewire-core-modules-3.2.0-4-powerpc-di scsi-core-modules-3.2.0-4-powerpc-di scsi-modules-3.2.0-4-powerpc-di scsi-common-modules-3.2.0-4-powerpc-di scsi-extra-modules-3.2.0-4-powerpc-di floppy-modules-3.2.0-4-powerpc-di loop-modules-3.2.0-4-powerpc-di btrfs-modules-3.2.0-4-powerpc-di ext2-modules-3.2.0-4-powerpc-di ext3-modules-3.2.0-4-powerpc-di ext4-modules-3.2.0-4-powerpc-di isofs-modules-3.2.0-4-powerpc-di jfs-modules-3.2.0-4-powerpc-di reiserfs-modules-3.2.0-4-powerpc-di xfs-modules-3.2.0-4-powerpc-di fat-modules-3.2.0-4-powerpc-di hfs-modules-3.2.0-4-powerpc-di affs-modules-3.2.0-4-powerpc-di ufs-modules-3.2.0-4-powerpc-di md-modules-3.2.0-4-powerpc-di multipath-modules-3.2.0-4-powerpc-di usb-modules-3.2.0-4-powerpc-di usb-storage-modules-3.2.0-4-powerpc-di
 pcmcia-storage-modules-3.2.0-4-powerpc-di input-modules-3.2.0-4-powerpc-di event-modules-3.2.0-4-powerpc-di mouse-modules-3.2.0-4-powerpc-di irda-modules-3.2.0-4-powerpc-di nic-pcmcia-modules-3.2.0-4-powerpc-di pcmcia-modules-3.2.0-4-powerpc-di sata-modules-3.2.0-4-powerpc-di core-modules-3.2.0-4-powerpc-di crc-modules-3.2.0-4-powerpc-di crypto-modules-3.2.0-4-powerpc-di crypto-dm-modules-3.2.0-4-powerpc-di ata-modules-3.2.0-4-powerpc-di nbd-modules-3.2.0-4-powerpc-di squashfs-modules-3.2.0-4-powerpc-di virtio-modules-3.2.0-4-powerpc-di uinput-modules-3.2.0-4-powerpc-di zlib-modules-3.2.0-4-powerpc-di udf-modules-3.2.0-4-powerpc-di fuse-modules-3.2.0-4-powerpc-di kernel-image-3.2.0-4-powerpc64-di nic-modules-3.2.0-4-powerpc64-di nic-extra-modules-3.2.0-4-powerpc64-di nic-shared-modules-3.2.0-4-powerpc64-di serial-modules-3.2.0-4-powerpc64-di usb-serial-modules-3.2.0-4-powerpc64-di ppp-modules-3.2.0-4-powerpc64-di pata-modules-3.2.0-4-powerpc64-di
 cdrom-core-modules-3.2.0-4-powerpc64-di firewire-core-modules-3.2.0-4-powerpc64-di scsi-core-modules-3.2.0-4-powerpc64-di scsi-modules-3.2.0-4-powerpc64-di scsi-common-modules-3.2.0-4-powerpc64-di scsi-extra-modules-3.2.0-4-powerpc64-di floppy-modules-3.2.0-4-powerpc64-di loop-modules-3.2.0-4-powerpc64-di btrfs-modules-3.2.0-4-powerpc64-di ext2-modules-3.2.0-4-powerpc64-di ext3-modules-3.2.0-4-powerpc64-di ext4-modules-3.2.0-4-powerpc64-di isofs-modules-3.2.0-4-powerpc64-di jfs-modules-3.2.0-4-powerpc64-di reiserfs-modules-3.2.0-4-powerpc64-di xfs-modules-3.2.0-4-powerpc64-di fat-modules-3.2.0-4-powerpc64-di hfs-modules-3.2.0-4-powerpc64-di affs-modules-3.2.0-4-powerpc64-di ufs-modules-3.2.0-4-powerpc64-di md-modules-3.2.0-4-powerpc64-di multipath-modules-3.2.0-4-powerpc64-di usb-modules-3.2.0-4-powerpc64-di usb-storage-modules-3.2.0-4-powerpc64-di pcmcia-storage-modules-3.2.0-4-powerpc64-di input-modules-3.2.0-4-powerpc64-di event-modules-3.2.0-4-powerpc64-di
 mouse-modules-3.2.0-4-powerpc64-di irda-modules-3.2.0-4-powerpc64-di nic-pcmcia-modules-3.2.0-4-powerpc64-di pcmcia-modules-3.2.0-4-powerpc64-di sata-modules-3.2.0-4-powerpc64-di core-modules-3.2.0-4-powerpc64-di crc-modules-3.2.0-4-powerpc64-di crypto-modules-3.2.0-4-powerpc64-di crypto-dm-modules-3.2.0-4-powerpc64-di ata-modules-3.2.0-4-powerpc64-di nbd-modules-3.2.0-4-powerpc64-di squashfs-modules-3.2.0-4-powerpc64-di virtio-modules-3.2.0-4-powerpc64-di uinput-modules-3.2.0-4-powerpc64-di udf-modules-3.2.0-4-powerpc64-di fuse-modules-3.2.0-4-powerpc64-di hypervisor-modules-3.2.0-4-powerpc64-di fancontrol-modules-3.2.0-4-powerpc64-di linux-image-3.2.0-4-powerpc linux-headers-3.2.0-4-powerpc linux-image-3.2.0-4-powerpc-smp linux-headers-3.2.0-4-powerpc-smp linux-image-3.2.0-4-powerpc64 linux-headers-3.2.0-4-powerpc64 linux-headers-3.2.0-4-all-ppc64 linux-headers-3.2.0-4-all-s390 kernel-image-3.2.0-4-s390x-di nic-modules-3.2.0-4-s390x-di
 scsi-core-modules-3.2.0-4-s390x-di scsi-modules-3.2.0-4-s390x-di ext2-modules-3.2.0-4-s390x-di ext3-modules-3.2.0-4-s390x-di ext4-modules-3.2.0-4-s390x-di xfs-modules-3.2.0-4-s390x-di fat-modules-3.2.0-4-s390x-di md-modules-3.2.0-4-s390x-di multipath-modules-3.2.0-4-s390x-di core-modules-3.2.0-4-s390x-di crypto-modules-3.2.0-4-s390x-di crypto-dm-modules-3.2.0-4-s390x-di nbd-modules-3.2.0-4-s390x-di virtio-modules-3.2.0-4-s390x-di fuse-modules-3.2.0-4-s390x-di dasd-modules-3.2.0-4-s390x-di dasd-extra-modules-3.2.0-4-s390x-di kernel-image-3.2.0-4-s390x-tape-di linux-image-3.2.0-4-s390x linux-headers-3.2.0-4-s390x linux-image-3.2.0-4-s390x-dbg linux-image-3.2.0-4-s390x-tape linux-headers-3.2.0-4-all-s390x linux-headers-3.2.0-4-all-sh4 kernel-image-3.2.0-4-sh7751r-di nic-modules-3.2.0-4-sh7751r-di usb-serial-modules-3.2.0-4-sh7751r-di ppp-modules-3.2.0-4-sh7751r-di pata-modules-3.2.0-4-sh7751r-di cdrom-core-modules-3.2.0-4-sh7751r-di
 firewire-core-modules-3.2.0-4-sh7751r-di scsi-core-modules-3.2.0-4-sh7751r-di loop-modules-3.2.0-4-sh7751r-di ipv6-modules-3.2.0-4-sh7751r-di btrfs-modules-3.2.0-4-sh7751r-di ext2-modules-3.2.0-4-sh7751r-di ext4-modules-3.2.0-4-sh7751r-di isofs-modules-3.2.0-4-sh7751r-di jfs-modules-3.2.0-4-sh7751r-di reiserfs-modules-3.2.0-4-sh7751r-di xfs-modules-3.2.0-4-sh7751r-di fat-modules-3.2.0-4-sh7751r-di ufs-modules-3.2.0-4-sh7751r-di minix-modules-3.2.0-4-sh7751r-di md-modules-3.2.0-4-sh7751r-di multipath-modules-3.2.0-4-sh7751r-di usb-storage-modules-3.2.0-4-sh7751r-di parport-modules-3.2.0-4-sh7751r-di nic-usb-modules-3.2.0-4-sh7751r-di sata-modules-3.2.0-4-sh7751r-di i2c-modules-3.2.0-4-sh7751r-di crc-modules-3.2.0-4-sh7751r-di crypto-modules-3.2.0-4-sh7751r-di crypto-dm-modules-3.2.0-4-sh7751r-di nbd-modules-3.2.0-4-sh7751r-di squashfs-modules-3.2.0-4-sh7751r-di speakup-modules-3.2.0-4-sh7751r-di virtio-modules-3.2.0-4-sh7751r-di sound-modules-3.2.0-4-sh7751r-di
 zlib-modules-3.2.0-4-sh7751r-di udf-modules-3.2.0-4-sh7751r-di fuse-modules-3.2.0-4-sh7751r-di kernel-image-3.2.0-4-sh7785lcr-di nic-modules-3.2.0-4-sh7785lcr-di usb-serial-modules-3.2.0-4-sh7785lcr-di ppp-modules-3.2.0-4-sh7785lcr-di pata-modules-3.2.0-4-sh7785lcr-di cdrom-core-modules-3.2.0-4-sh7785lcr-di firewire-core-modules-3.2.0-4-sh7785lcr-di scsi-core-modules-3.2.0-4-sh7785lcr-di loop-modules-3.2.0-4-sh7785lcr-di ipv6-modules-3.2.0-4-sh7785lcr-di btrfs-modules-3.2.0-4-sh7785lcr-di ext2-modules-3.2.0-4-sh7785lcr-di ext4-modules-3.2.0-4-sh7785lcr-di isofs-modules-3.2.0-4-sh7785lcr-di jfs-modules-3.2.0-4-sh7785lcr-di reiserfs-modules-3.2.0-4-sh7785lcr-di xfs-modules-3.2.0-4-sh7785lcr-di fat-modules-3.2.0-4-sh7785lcr-di ufs-modules-3.2.0-4-sh7785lcr-di minix-modules-3.2.0-4-sh7785lcr-di md-modules-3.2.0-4-sh7785lcr-di multipath-modules-3.2.0-4-sh7785lcr-di parport-modules-3.2.0-4-sh7785lcr-di nic-usb-modules-3.2.0-4-sh7785lcr-di sata-modules-3.2.0-4-sh7785lcr-di
 crc-modules-3.2.0-4-sh7785lcr-di crypto-modules-3.2.0-4-sh7785lcr-di crypto-dm-modules-3.2.0-4-sh7785lcr-di nbd-modules-3.2.0-4-sh7785lcr-di squashfs-modules-3.2.0-4-sh7785lcr-di speakup-modules-3.2.0-4-sh7785lcr-di sound-modules-3.2.0-4-sh7785lcr-di zlib-modules-3.2.0-4-sh7785lcr-di udf-modules-3.2.0-4-sh7785lcr-di fuse-modules-3.2.0-4-sh7785lcr-di linux-image-3.2.0-4-sh7751r linux-headers-3.2.0-4-sh7751r linux-image-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-all-sparc kernel-image-3.2.0-4-sparc64-di nic-modules-3.2.0-4-sparc64-di ppp-modules-3.2.0-4-sparc64-di pata-modules-3.2.0-4-sparc64-di cdrom-core-modules-3.2.0-4-sparc64-di scsi-core-modules-3.2.0-4-sparc64-di scsi-modules-3.2.0-4-sparc64-di scsi-common-modules-3.2.0-4-sparc64-di plip-modules-3.2.0-4-sparc64-di btrfs-modules-3.2.0-4-sparc64-di ext2-modules-3.2.0-4-sparc64-di ext3-modules-3.2.0-4-sparc64-di ext4-modules-3.2.0-4-sparc64-di isofs-modules-3.2.0-4-sparc64-di
 jfs-modules-3.2.0-4-sparc64-di reiserfs-modules-3.2.0-4-sparc64-di xfs-modules-3.2.0-4-sparc64-di fat-modules-3.2.0-4-sparc64-di md-modules-3.2.0-4-sparc64-di multipath-modules-3.2.0-4-sparc64-di usb-modules-3.2.0-4-sparc64-di usb-storage-modules-3.2.0-4-sparc64-di input-modules-3.2.0-4-sparc64-di sata-modules-3.2.0-4-sparc64-di core-modules-3.2.0-4-sparc64-di crypto-modules-3.2.0-4-sparc64-di crypto-dm-modules-3.2.0-4-sparc64-di ata-modules-3.2.0-4-sparc64-di nbd-modules-3.2.0-4-sparc64-di squashfs-modules-3.2.0-4-sparc64-di virtio-modules-3.2.0-4-sparc64-di zlib-modules-3.2.0-4-sparc64-di udf-modules-3.2.0-4-sparc64-di fuse-modules-3.2.0-4-sparc64-di linux-image-3.2.0-4-sparc64 linux-headers-3.2.0-4-sparc64 linux-image-3.2.0-4-sparc64-smp linux-headers-3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-all-sparc64
Architecture: all source
Version: 3.2.39-1
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 627372 664068 680737 684767 685726 686636 687442 689268 690284 693997 696182 696321 696592 696650 696925 697035 697077 697128 697229 697479 697740 697903 698376 698382 699129 699283 699913 700211 700418 700550
Description: 
 acpi-modules-3.2.0-4-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-4-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-4-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-4-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-mx5-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-4-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-versatile-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-vexpress-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-4-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-4-486-di - Core modules (udeb)
 core-modules-3.2.0-4-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-4-amd64-di - Core modules (udeb)
 core-modules-3.2.0-4-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-4-itanium-di - Core modules (udeb)
 core-modules-3.2.0-4-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-4-mx5-di - Core modules (udeb)
 core-modules-3.2.0-4-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-4-s390x-di - Core modules (udeb)
 core-modules-3.2.0-4-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-4-versatile-di - Core modules (udeb)
 core-modules-3.2.0-4-vexpress-di - Core modules (udeb)
 crc-modules-3.2.0-4-486-di - CRC modules (udeb)
 crc-modules-3.2.0-4-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-4-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-4-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-4-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-4-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-4-versatile-di - CRC modules (udeb)
 crc-modules-3.2.0-4-vexpress-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-4-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-versatile-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-vexpress-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-4-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-versatile-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-vexpress-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-4-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-4-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-4-486-di - EFI modules (udeb)
 efi-modules-3.2.0-4-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-4-amd64-di - EFI modules (udeb)
 efi-modules-3.2.0-4-itanium-di - EFI modules (udeb)
 event-modules-3.2.0-4-486-di - Event support (udeb)
 event-modules-3.2.0-4-686-pae-di - Event support (udeb)
 event-modules-3.2.0-4-amd64-di - Event support (udeb)
 event-modules-3.2.0-4-iop32x-di - Event support (udeb)
 event-modules-3.2.0-4-itanium-di - Event support (udeb)
 event-modules-3.2.0-4-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-4-orion5x-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc64-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc-di - Event support (udeb)
 ext2-modules-3.2.0-4-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-versatile-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-vexpress-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-4-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-versatile-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-vexpress-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-4-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-versatile-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-vexpress-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-4-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-4-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-versatile-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-vexpress-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-4-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-4-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-4-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc-di - Floppy driver (udeb)
 fuse-modules-3.2.0-4-486-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-4kc-malta-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-686-pae-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amd64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amiga-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-atari-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-iop32x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-itanium-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-kirkwood-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-loongson-2f-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mac-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mx5-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-orion5x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r4k-ip22-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-cobalt-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-ip32-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-s390x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sb1-bcm91250a-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7751r-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7785lcr-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sparc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-versatile-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-vexpress-di - FUSE modules (udeb)
 hfs-modules-3.2.0-4-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-4-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.2.0-4-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 hyperv-modules-3.2.0-4-486-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-686-pae-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-amd64-di - Hyper-V modules (udeb)
 i2c-modules-3.2.0-4-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-4-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-4-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-4-486-di - Input devices support (udeb)
 input-modules-3.2.0-4-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-4-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-4-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-4-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-4-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-4-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-4-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-4-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-4-sparc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-vexpress-di - Input devices support (udeb)
 ipv6-modules-3.2.0-4-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-amiga-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-atari-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-iop32x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-kirkwood-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mac-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mx5-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-orion5x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sb1-bcm91250a-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7751r-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7785lcr-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-versatile-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-vexpress-di - IPv6 driver (udeb)
 irda-modules-3.2.0-4-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-4-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-versatile-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-vexpress-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-4-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-4-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-4-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sparc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-vexpress-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-4-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-vexpress-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-4-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-4-486 - Header files for Linux 3.2.0-4-486
 linux-headers-3.2.0-4-4kc-malta - Header files for Linux 3.2.0-4-4kc-malta
 linux-headers-3.2.0-4-5kc-malta - Header files for Linux 3.2.0-4-5kc-malta
 linux-headers-3.2.0-4-686-pae - Header files for Linux 3.2.0-4-686-pae
 linux-headers-3.2.0-4-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-alpha-generic - Header files for Linux 3.2.0-4-alpha-generic
 linux-headers-3.2.0-4-alpha-legacy - Header files for Linux 3.2.0-4-alpha-legacy
 linux-headers-3.2.0-4-alpha-smp - Header files for Linux 3.2.0-4-alpha-smp
 linux-headers-3.2.0-4-amd64 - Header files for Linux 3.2.0-4-amd64
 linux-headers-3.2.0-4-amiga - Header files for Linux 3.2.0-4-amiga
 linux-headers-3.2.0-4-atari - Header files for Linux 3.2.0-4-atari
 linux-headers-3.2.0-4-bvme6000 - Header files for Linux 3.2.0-4-bvme6000
 linux-headers-3.2.0-4-common - Common header files for Linux 3.2.0-4
 linux-headers-3.2.0-4-common-rt - Common header files for Linux 3.2.0-4-rt
 linux-headers-3.2.0-4-iop32x - Header files for Linux 3.2.0-4-iop32x
 linux-headers-3.2.0-4-itanium - Header files for Linux 3.2.0-4-itanium
 linux-headers-3.2.0-4-ixp4xx - Header files for Linux 3.2.0-4-ixp4xx
 linux-headers-3.2.0-4-kirkwood - Header files for Linux 3.2.0-4-kirkwood
 linux-headers-3.2.0-4-loongson-2f - Header files for Linux 3.2.0-4-loongson-2f
 linux-headers-3.2.0-4-mac - Header files for Linux 3.2.0-4-mac
 linux-headers-3.2.0-4-mckinley - Header files for Linux 3.2.0-4-mckinley
 linux-headers-3.2.0-4-mv78xx0 - Header files for Linux 3.2.0-4-mv78xx0
 linux-headers-3.2.0-4-mvme147 - Header files for Linux 3.2.0-4-mvme147
 linux-headers-3.2.0-4-mvme16x - Header files for Linux 3.2.0-4-mvme16x
 linux-headers-3.2.0-4-mx5 - Header files for Linux 3.2.0-4-mx5
 linux-headers-3.2.0-4-octeon - Header files for Linux 3.2.0-4-octeon
 linux-headers-3.2.0-4-omap - Header files for Linux 3.2.0-4-omap
 linux-headers-3.2.0-4-orion5x - Header files for Linux 3.2.0-4-orion5x
 linux-headers-3.2.0-4-parisc64 - Header files for Linux 3.2.0-4-parisc64
 linux-headers-3.2.0-4-parisc64-smp - Header files for Linux 3.2.0-4-parisc64-smp
 linux-headers-3.2.0-4-parisc - Header files for Linux 3.2.0-4-parisc
 linux-headers-3.2.0-4-parisc-smp - Header files for Linux 3.2.0-4-parisc-smp
 linux-headers-3.2.0-4-powerpc64 - Header files for Linux 3.2.0-4-powerpc64
 linux-headers-3.2.0-4-powerpc - Header files for Linux 3.2.0-4-powerpc
 linux-headers-3.2.0-4-powerpc-smp - Header files for Linux 3.2.0-4-powerpc-smp
 linux-headers-3.2.0-4-r4k-ip22 - Header files for Linux 3.2.0-4-r4k-ip22
 linux-headers-3.2.0-4-r5k-cobalt - Header files for Linux 3.2.0-4-r5k-cobalt
 linux-headers-3.2.0-4-r5k-ip32 - Header files for Linux 3.2.0-4-r5k-ip32
 linux-headers-3.2.0-4-rt-686-pae - Header files for Linux 3.2.0-4-rt-686-pae
 linux-headers-3.2.0-4-rt-amd64 - Header files for Linux 3.2.0-4-rt-amd64
 linux-headers-3.2.0-4-s390x - Header files for Linux 3.2.0-4-s390x
 linux-headers-3.2.0-4-sb1a-bcm91480b - Header files for Linux 3.2.0-4-sb1a-bcm91480b
 linux-headers-3.2.0-4-sb1-bcm91250a - Header files for Linux 3.2.0-4-sb1-bcm91250a
 linux-headers-3.2.0-4-sh7751r - Header files for Linux 3.2.0-4-sh7751r
 linux-headers-3.2.0-4-sh7785lcr - Header files for Linux 3.2.0-4-sh7785lcr
 linux-headers-3.2.0-4-sparc64 - Header files for Linux 3.2.0-4-sparc64
 linux-headers-3.2.0-4-sparc64-smp - Header files for Linux 3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-versatile - Header files for Linux 3.2.0-4-versatile
 linux-headers-3.2.0-4-vexpress - Header files for Linux 3.2.0-4-vexpress
 linux-image-3.2.0-4-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-4-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-4-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-4-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-686-pae
 linux-image-3.2.0-4-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-4-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-4-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-4-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-4-amd64-dbg - Debugging symbols for Linux 3.2.0-4-amd64
 linux-image-3.2.0-4-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-4-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-4-atari - Linux 3.2 for Atari
 linux-image-3.2.0-4-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-4-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-4-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-4-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-4-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-4-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-4-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-4-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-4-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-4-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-4-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-4-mx5 - Linux 3.2 for Freescale i.MX51/53
 linux-image-3.2.0-4-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-4-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-4-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-4-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-4-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-4-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-4-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-4-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-4-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-4-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-4-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-4-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-4-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-4-rt-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-rt-686-pae
 linux-image-3.2.0-4-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-4-rt-amd64-dbg - Debugging symbols for Linux 3.2.0-4-rt-amd64
 linux-image-3.2.0-4-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-4-s390x-dbg - Debugging symbols for Linux 3.2.0-4-s390x
 linux-image-3.2.0-4-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-4-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-4-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-4-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-4-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-4-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-4-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-4-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-4 - Support files for Linux 3.2
 loop-modules-3.2.0-4-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-versatile-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-vexpress-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-4-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-versatile-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-vexpress-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-4-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-4-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-4-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-mx5-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-vexpress-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-4-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc-di - Mouse support (udeb)
 mtd-modules-3.2.0-4-mx5-di - MTD modules (udeb)
 multipath-modules-3.2.0-4-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-versatile-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-vexpress-di - Multipath support (udeb)
 nbd-modules-3.2.0-4-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-versatile-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-vexpress-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-4-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-4-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-4-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-4-versatile-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-vexpress-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-versatile-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-vexpress-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-versatile-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-vexpress-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-amd64-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-mx5-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-vexpress-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-4-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-4-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-4-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-mx5-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-4-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-4-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-4-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-4-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-4-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-4-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-4-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-mx5-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-4-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-4-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-versatile-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-vexpress-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-4-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-4-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-4-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc-di - Serial drivers (udeb)
 sn-modules-3.2.0-4-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-4-486-di - sound support (udeb)
 sound-modules-3.2.0-4-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-4-amd64-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-4-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-4-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-versatile-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-vexpress-di - squashfs modules (udeb)
 udf-modules-3.2.0-4-486-di - UDF modules (udeb)
 udf-modules-3.2.0-4-4kc-malta-di - UDF modules (udeb)
 udf-modules-3.2.0-4-686-pae-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amd64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amiga-di - UDF modules (udeb)
 udf-modules-3.2.0-4-atari-di - UDF modules (udeb)
 udf-modules-3.2.0-4-iop32x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-itanium-di - UDF modules (udeb)
 udf-modules-3.2.0-4-kirkwood-di - UDF modules (udeb)
 udf-modules-3.2.0-4-loongson-2f-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mac-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mx5-di - UDF modules (udeb)
 udf-modules-3.2.0-4-orion5x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r4k-ip22-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r5k-ip32-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sb1-bcm91250a-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7751r-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7785lcr-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sparc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-versatile-di - UDF modules (udeb)
 udf-modules-3.2.0-4-vexpress-di - UDF modules (udeb)
 ufs-modules-3.2.0-4-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-4-486-di - uinput support (udeb)
 uinput-modules-3.2.0-4-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-4-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-4-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-4-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc-di - uinput support (udeb)
 uinput-modules-3.2.0-4-vexpress-di - uinput support (udeb)
 usb-modules-3.2.0-4-486-di - USB support (udeb)
 usb-modules-3.2.0-4-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-4-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-4-amd64-di - USB support (udeb)
 usb-modules-3.2.0-4-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-4-itanium-di - USB support (udeb)
 usb-modules-3.2.0-4-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-4-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-4-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-4-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-4-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-4-versatile-di - USB support (udeb)
 usb-modules-3.2.0-4-vexpress-di - USB support (udeb)
 usb-serial-modules-3.2.0-4-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-4-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-versatile-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-vexpress-di - USB storage support (udeb)
 virtio-modules-3.2.0-4-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sparc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-4-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-4-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-4-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-4-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-versatile-di - zlib modules (udeb)
Changes: 
 linux (3.2.39-1) unstable; urgency=high
 .
   * New upstream stable update:
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.36
     - freezer: PF_FREEZER_NOSIG should be cleared along with PF_NOFREEZE
       (Closes: #697077)
     - tmpfs: fix shared mempolicy leak
     - virtio: 9p: correctly pass physical address to userspace for high pages
     - virtio: force vring descriptors to be allocated from lowmem
     - USB: EHCI: bugfix: urb->hcpriv should not be NULL
     - rcu: Fix batch-limit size problem
     - Bluetooth: ath3k: Add support for VAIO VPCEH [0489:e027]
       (Closes: #700550)
     - mvsas: fix undefined bit shift
     - ALSA: usb-audio: Avoid autopm calls after disconnection; Fix missing
       autopm for MIDI input (Closes: #664068)
     - target/file: Fix 32-bit highmem breakage for SGL -> iovec mapping
     - SCSI: fix Null pointer dereference on disk error
     - proc: pid/status: show all supplementary groups
     - nfsd4: fix oops on unusual readlike compound
     - ARM: missing ->mmap_sem around find_vma() in swp_emulate.c
     - sctp: fix memory leak in sctp_datamsg_from_user() when copy from user
       space fails
     - ne2000: add the right platform device
     - irda: sir_dev: Fix copy/paste typo
     - ipv4: ip_check_defrag must not modify skb before unsharing
     - telephony: ijx: buffer overflow in ixj_write_cid()
     - udf: fix memory leak while allocating blocks during write
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.37
     - ext4: fix extent tree corruption caused by hole punch
     - jbd2: fix assertion failure in jbd2_journal_flush()
     - tmpfs mempolicy: fix /proc/mounts corrupting memory
     - sparc: huge_ptep_set_* functions need to call set_huge_pte_at()
     - inet: Fix kmemleak in tcp_v4/6_syn_recv_sock and
       dccp_v4/6_request_recv_sock
     - net: sched: integer overflow fix
     - tcp: implement RFC 5961 3.2
     - tcp: implement RFC 5961 4.2
     - tcp: refine SYN handling in tcp_validate_incoming
     - tcp: tcp_replace_ts_recent() should not be called from
       tcp_validate_incoming()
     - tcp: RFC 5961 5.2 Blind Data Injection Attack Mitigation
     - RDMA/nes: Fix for crash when registering zero length MR for CQ
     - ACPI : do not use Lid and Sleep button for S5 wakeup
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.38
     - staging: comedi: comedi_test: fix race when cancelling command
     - mm: use aligned zone start for pfn_to_bitidx calculation
     - [s390] s390/time: fix sched_clock() overflow (Closes: #698382)
     - [i386] xen: Fix stack corruption in xen_failsafe_callback for 32bit
       PVOPS guests. (CVE-2013-0190)
     - KVM: PPC: Emulate dcbf
     - evm: checking if removexattr is not a NULL
     - ath9k_htc: Fix memory leak
     - ath9k: do not link receive buffers during flush
     - ath9k: fix double-free bug on beacon generate failure
     - x86/msr: Add capabilities check
     - can: c_can: fix invalid error codes
     - can: ti_hecc: fix invalid error codes
     - can: pch_can: fix invalid error codes
     - smp: Fix SMP function call empty cpu mask race
     - xfs: Fix possible use-after-free with AIO
     - EDAC: Test correct variable in ->store function
     - samsung-laptop: Disable on EFI hardware, to avoid damaging it
     - NFS: Don't silently fail setattr() requests on mountpoints
     - intel-iommu: Prevent devices with RMRRs from being placed into SI Domain
     - ALSA: usb-audio: Fix regression by disconnection-race-fix patch
       (Closes: #696321)
     - printk: fix buffer overflow when calling log_prefix function from
       call_console_drivers
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.39
     - USB: XHCI: fix memory leak of URB-private data
     - sched/rt: Use root_domain of rt_rq not current processor
     - mwifiex: fix incomplete scan in case of IE parsing error
     - x86-64: Replace left over sti/cli in ia32 audit exit code
     - Bluetooth: Fix handling of unexpected SMP PDUs
     - ptrace/x86: Partly fix set_task_blockstep()->update_debugctlmsr() logic
     - Fix race condition with PTRACE_SETREGS and fatal signal (CVE-2013-0871)
       + ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
       + ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
       + wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
         task
     - net: prevent setting ttl=0 via IP_TTL
     - ipv6: fix header length calculation in ip6_append_data()
     - netxen: fix off by one bug in netxen_release_tx_buffer()
     - r8169: remove the obsolete and incorrect AMD workaround
     - net: loopback: fix a dst refcounting issue
     - packet: fix leakage of tx_ring memory
     - net: sctp: sctp_setsockopt_auth_key: use kzfree instead of kfree
     - net: sctp: sctp_endpoint_free: zero out secret key data
     - xen/netback: shutdown the ring if it contains garbage. (CVE-2013-0216)
     - xen/netback: don't leak pages on failure in xen_netbk_tx_check_gop.
     - xen/netback: free already allocated memory on failure in
       xen_netbk_get_requests
     - netback: correct netbk_tx_err to handle wrap around. (CVE-2013-0217)
     - tcp: frto should not set snd_cwnd to 0
     - tcp: fix for zero packets_in_flight was too broad
     - tcp: fix MSG_SENDPAGE_NOTLAST logic
     - bridge: Pull ip header into skb->data before looking into ip header.
       (Closes: #697903)
     - x86/xen: don't assume %ds is usable in xen_iret for 32-bit PVOPS.
       (CVE-2013-0228)
 .
   [ Aurelien Jarno ]
   * [armhf/vexpress] Add kernel udebs.
 .
   [ Julien Cristau ]
   * Backport drm and agp subsystems from Linux 3.4.29 (closes: #687442)
     - [x86] i915: Fixes freezes on Ivy Bridge (Closes: #689268)
     - nouveau: Support for newer nvidia chipsets (Closes: #690284)
     - radeon: Support for HD7000 'Southern Islands' chips
     - [x86] drm/i915: add Ivy Bridge GT2 Server entries (Closes: #684767)
     - [x86] drm/i915: Close race between processing unpin task and queueing
       the flip
 .
   [ Ben Hutchings ]
   * Input: wacom - fix touch support for Bamboo Fun CTH-461
   * media/rc: Add iguanair driver from Linux 3.7 (Closes: #696925)
   * rt2800: add chipset revision RT5390R support (Closes: #696592)
   * [armhf/mx5] mtd: Enable MTD_BLOCK as module
   * [armhf/mx5] udeb: Add missing storage drivers (Closes: #697128)
     - Add ata-modules including libata, pata-modules including pata_imx,
       sata-modules including ahci_platform
     - Add sdhci-esdhc-imx to mmc-modules
     - Add mtd-modules including mtd, mtdblock and m25p80
   * [armhf] udeb: Fix network driver selection
     - [armhf/mx5] Remove nic-modules
     - [armhf/vexpress] Add usb-modules
     - Add standard set of USB drivers to nic-usb-modules
     - Add nic-wireless-modules
   * be2net: Apply backported fixes requested by Emulex (Closes: #697479)
     - be2net: do not modify PCI MaxReadReq size
     - be2net: fix reporting number of actual rx queues
     - be2net: do not use SCRATCHPAD register
     - be2net: reduce gso_max_size setting to account for ethernet header.
     - be2net: Increase statistics structure size for skyhawk.
     - be2net: Explicitly clear the reserved field in the Tx Descriptor
     - be2net: Regression bug wherein VFs creation broken for multiple cards.
     - be2net: Fix to trim skb for padded vlan packets to workaround an ASIC Bug
     - be2net: Fix Endian
     - be2net: Enable RSS UDP hashing for Lancer and Skyhawk
     - be2net: dont pull too much data in skb linear part
     - be2net: Fix to parse RSS hash from Receive completions correctly.
     - be2net: Avoid disabling BH in be_poll()
   * udeb: Add specialised USB keyboard/mouse drivers to input-modules:
     hid-a4tech, hid-cypress, hid-ezkey (Closes: #697035), hid-kensington,
     hid-keytouch, hid-kye, hid-multitouch, hid-ortek, hid-primax,
     hid-quanta, hid-samsung, hid-speedlink
   * radeon: Firmware is required for DRM and KMS on R600 onward, but not
     for KMS on earlier chips (Closes: #697229)
   * [!powerpc] radeon: Reenable DRM_RADEON_KMS, as it apparently works on
     most non-PowerMac systems
   * fs: cachefiles: add support for large files in filesystem caching
     (Closes: #698376)
   * [rt] Update to 3.2.38-rt57:
     - sched: Adjust sched_reset_on_fork when nothing else changes
     - sched: Queue RT tasks to head when prio drops
     - sched: Consider pi boosting in setscheduler
     - sched: Init idle->on_rq in init_idle()
     - sched: Check for idle task in might_sleep()
     - mm: swap: Initialize local locks early
   * [armel/versatile,armhf/vexpress] i2c: Enable I2C, I2C_VERSATILE as modules
     (Closes: #696182)
   * ext4: Fix corruption by hole punch in large files (Closes: #685726)
     - rewrite punch hole to use ext4_ext_remove_space()
     - fix hole punch failure when depth is greater than 0
     - fix kernel BUG on large-scale rm -rf commands
   * md: protect against crash upon fsync on ro array (Closes: #696650)
   * net: Add alx driver for Atheros AR8161 and AR8162 (Closes: #699129)
     - Mark as staging, since it has not been accepted upstream
   * [armel/kirkwood] rtc-s35390a: add wakealarm support (Closes: #693997)
   * [x86] i915: Invert backlight brightness control for various models
     including Packard Bell NCL20 (Closes: #627372) and eMachines G725
     (Closes: #680737)
     - Also allow this behaviour to be enabled via module parameter
       invert_brightness=1
   * [amd64] edac: Enable EDAC_SBRIDGE as module (Closes: #699283)
   * SCSI: Add virtio_scsi driver (Closes: #686636)
   * [x86] sound: Enable LINE6_USB as module (Closes: #700211)
     - Apply upstream changes up to Linux 3.8-rc1
   * [armhf/mx5] Update description to mention i.MX53
   * mm: Try harder to allocate vmemmap blocks (Closes: #699913)
   * aufs: Update to aufs3.2-20130204:
     - support for syncfs(2)
     - possible bugfix, race in lookup
     - bugfix, half refreshed iinfo
     - possible bugfix, au_lkup_by_ino() returns ESTALE
   * [x86] efi: Clear EFI_RUNTIME_SERVICES rather than EFI_BOOT by "noefi" boot
     parameter
   * [x86] efi: Make "noefi" really disable EFI runtime serivces
   * drm, agp: Update to 3.4.32
     - drm/radeon: add WAIT_UNTIL to the non-VM safe regs list for cayman/TN
     - drm/radeon: prevent crash in the ring space allocation
   * linux-image-dbg: Add symlinks to vmlinux from the locations expected by
     kdump-tools (Closes: #700418), systemtap and others
   * mm: fix pageblock bitmap allocation (fixes regression in 3.2.38)
   * USB: usb-storage: unusual_devs update for Super TOP SATA bridge
 .
   [ Cyril Brulebois ]
   * Bump python build-dep, needed since the switch from local SortedDict
     to collections.OrderedDict (new in version 2.7). (Closes: #697740)
Checksums-Sha1: 
 b825a7790433d86564288fbf5a2c8408934d181f 103143 linux_3.2.39-1.dsc
 62b137cb2afa8abed1ed8d4f27ab4badddc5472c 65857136 linux_3.2.39.orig.tar.xz
 bf07bb2a274e7d239f27d8dc04a3db1899778820 3188844 linux_3.2.39-1.debian.tar.xz
 49f279e48592def704b6d69ed117bce99d7ee315 6369132 linux-doc-3.2_3.2.39-1_all.deb
 a613cc81d2275615a21fb3d87074d3b717b38e1a 208810 linux-support-3.2.0-4_3.2.39-1_all.deb
 e12aa9664dd6e3acdfbe11ebeaf00e6c4e551f9a 2922570 linux-manual-3.2_3.2.39-1_all.deb
 10965770bda0f571310dc5977329edc9de893ec3 77341558 linux-source-3.2_3.2.39-1_all.deb
Checksums-Sha256: 
 d3fadac85116c4501afa3b12abbebca21987c50fad56128faf0608f5be616035 103143 linux_3.2.39-1.dsc
 663eb090fc2d7d5a3d0dc613a662baf44c5e0057a9e99b404299ee25546e7a91 65857136 linux_3.2.39.orig.tar.xz
 5332b4729956b341230cbbaff06fda0c51347e68a054c791e35a10898143ff13 3188844 linux_3.2.39-1.debian.tar.xz
 50f88415629acb944507de5ff6313b90c0d62d8acf8c4c7d0774aaaca1dde870 6369132 linux-doc-3.2_3.2.39-1_all.deb
 ebb51c3fbf3d9007c82d3b8e83531c09dbe8764ace89f991385e58659a5bd637 208810 linux-support-3.2.0-4_3.2.39-1_all.deb
 3310bd30cfbc314ac36d631059261e77651cf72ae7bb620a2bfbc632fd7fe755 2922570 linux-manual-3.2_3.2.39-1_all.deb
 8d17323e0703c9e575bb9123feb3401d4d6c4f6179209065837c9b0f324294ff 77341558 linux-source-3.2_3.2.39-1_all.deb
Files: 
 fa7b08659be983d8cab0351706786d28 103143 kernel optional linux_3.2.39-1.dsc
 e87c31f09dd449d009b9f367f9c64d7b 65857136 kernel optional linux_3.2.39.orig.tar.xz
 9f2569ffac400ae07c1cd7da4e2a13c3 3188844 kernel optional linux_3.2.39-1.debian.tar.xz
 d69bf3acfaf9968a398e285be678ce17 6369132 doc optional linux-doc-3.2_3.2.39-1_all.deb
 7c9b82e7b3d68bf62dceb7dfac6d0a14 208810 devel optional linux-support-3.2.0-4_3.2.39-1_all.deb
 5f18c37894120f162b9f3626ad519b58 2922570 doc optional linux-manual-3.2_3.2.39-1_all.deb
 403844f6f653a37db8837c1f8d3bb636 77341558 kernel optional linux-source-3.2_3.2.39-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUSrhO+e/yOyVhhEJAQr9JRAApFIqaIkQ8C0rG4s4rh7GIv8MV1QpRg9M
6iCI+s0aYfdFpGxW7B/5CvUttxKn+aLxeeJKld2Ycqnt458Q6nbT5wIA3Y5bnx+E
gLMHouKBLjURaQ8rnTN0YvRJr8uauE/2qz+wsi2NJxwvf+2j9K9pkYsAGo+a6iWQ
nci5H/TvYhR1xpVs5ukJY1Ub//R0I0Be/QKlBWLMOvvqSTKHXv0rLCL9WrJTJaVz
mrTOb8bDc0bvb5mC1RR509jCYwD6uKlgWBRhQCMsXJjr+y6dfsIg6wJWQRqOiPB7
Qdf3paFdaQ35Bhn300KGHLEXSD84E9p/s5mdwX8kH9gZh6pow2IeyEZJxqS5daKE
fO2od2fCfR8/LXyz9OXkHx3/gQLTewPhsu0JtAQ3f6rSVNo4dlnQf23GBtpFQGAm
yxIEtwQ9x6x0xW99pJW3TUGHMBwefoRvuCArCs3HJkvWZfmpbDd4uj0XFnrC1Gvr
L/EUglUDKA0VBK3vsrv/49OVnIfexvZaJbZXzjKESeuMGAOXLj0cWf/+I8R97YJV
0jJkIvIxzFl2s8N3fFoKmGjMpHvVzgItx/VN/pGwSJiVZOOQXU01Z/Y4rHDFLZNI
74iUkRjyYg9RjMAk+GRA7aQKm0Nnd3gdM6453Q/DGYgTPrUcl70kbAIkhCYfj6C0
Ga4UPZ5r9r8=
=KJF6
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#687442; Package src:linux. (Mon, 25 Feb 2013 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Feb 2013 19:27:03 GMT) Full text and rfc822 format available.

Message #214 received at 687442@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 687442@bugs.debian.org
Subject: Thanks, I am already testing 3.2.0-39
Date: Mon, 25 Feb 2013 20:17:45 +0100
Many THANKS to Julien and Ben for fixing this (and pending) bugs.

I have immediately switched from vanilla 3.4 kernel to Debian's
3.2.0-39-1 from unstable.

Ingo



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Feb 2013 07:09:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 May 2013 07:31:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:01:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.